﻿//
//	File: functions.js
//	By: Henrik Virking, 2008-01-03
//
//	This file is a part of the Personal radioTuner widget, 
//	I've put the code for the different radiostations and functions 
//	in this separate file to keep the main widget-
//	file nice and clean. 

var stat;
var currentStreamFormat;

//CHANGES RADIOSET FONTS
function changeSetFont() {
	redSetText.size = preferences.setFontSizePref.value;
	greenSetText.size = preferences.setFontSizePref.value;
	blueSetText.size = preferences.setFontSizePref.value;
	yellowSetText.size = preferences.setFontSizePref.value;
	
	redSetText.color = preferences.setFontColorPref.value;
	greenSetText.color = preferences.setFontColorPref.value;
	blueSetText.color = preferences.setFontColorPref.value;
	yellowSetText.color = preferences.setFontColorPref.value;
}

//CHANGES BUTTONTEXT FONTS
function changeButtonFont() {
	button1Text.size = preferences.buttonFontSizePref.value;
	button2Text.size = preferences.buttonFontSizePref.value;
	button3Text.size = preferences.buttonFontSizePref.value;
	button4Text.size = preferences.buttonFontSizePref.value;
	button5Text.size = preferences.buttonFontSizePref.value;
	button6Text.size = preferences.buttonFontSizePref.value;
	button7Text.size = preferences.buttonFontSizePref.value;
	button8Text.size = preferences.buttonFontSizePref.value;
	
	button1Text.color = preferences.buttonFontColorPref.value;
	button2Text.color = preferences.buttonFontColorPref.value;
	button3Text.color = preferences.buttonFontColorPref.value;
	button4Text.color = preferences.buttonFontColorPref.value;
	button5Text.color = preferences.buttonFontColorPref.value;
	button6Text.color = preferences.buttonFontColorPref.value;
	button7Text.color = preferences.buttonFontColorPref.value;
	button8Text.color = preferences.buttonFontColorPref.value;
}
//HIDES THE RADIOSETS
function hideSets(){
	if (stat == "stop") {
		redSet.visible = false;
		greenSet.visible = false;
		blueSet.visible = false;
		yellowSet.visible = false;
		redSetText.visible = false;
		greenSetText.visible = false;
		blueSetText.visible = false;
		yellowSetText.visible = false;
	}
}		

//MAKES THE RADIOSETS VISIBLE
function showSets(){
	if (stat == "stop") {
		redSet.visible = true;
		greenSet.visible = true;
		blueSet.visible = true;
		yellowSet.visible = true;
		redSetText.visible = true;
		greenSetText.visible = true;
		blueSetText.visible = true;
		yellowSetText.visible = true;
	}
}


//SWITCHES RADIOSET
function switchSet(color){
	switch(color){
		case "red":
			preferences.currentSetPref.value = "red";
			savePreferences();
			switchStations();
			redSet.zOrder = 101;
			greenSet.zOrder = 4;
			blueSet.zOrder = 4;
			yellowSet.zOrder = 4;
			redSetText.zOrder = 101;
			greenSetText.zOrder = 4;
			blueSetText.zOrder = 4;
			yellowSetText.zOrder = 4;
			break;
		case "green":
			preferences.currentSetPref.value = "green";
			savePreferences();
			switchStations();
			redSet.zOrder = 4;
			greenSet.zOrder = 101;
			blueSet.zOrder = 4;
			yellowSet.zOrder = 4;
			redSetText.zOrder = 4;
			greenSetText.zOrder = 101;
			blueSetText.zOrder = 4;
			yellowSetText.zOrder = 4;
			break;			
		case "blue":
			preferences.currentSetPref.value = "blue";
			savePreferences();
			switchStations();
			redSet.zOrder = 4;
			greenSet.zOrder = 4;
			blueSet.zOrder = 101;
			yellowSet.zOrder = 4;
			redSetText.zOrder = 4;
			greenSetText.zOrder = 4;
			blueSetText.zOrder = 101;
			yellowSetText.zOrder = 4;
			break;
		case "yellow":
			preferences.currentSetPref.value = "yellow";
			savePreferences();
			switchStations();
			redSet.zOrder = 4;
			greenSet.zOrder = 4;
			blueSet.zOrder = 4;
			yellowSet.zOrder = 101;
			redSetText.zOrder = 4;
			greenSetText.zOrder = 4;
			blueSetText.zOrder = 4;
			yellowSetText.zOrder = 101;
			break;
	}
}

//CHANGES RADIOSETS TEXT
function changeSetText() {
	redSetText.data = preferences.redSetTextPref.value;
	greenSetText.data = preferences.greenSetTextPref.value;
	blueSetText.data = preferences.blueSetTextPref.value;
	yellowSetText.data = preferences.yellowSetTextPref.value;
	}
//SWITCHES RADIO STATIONS
function switchStations()
	{
	if (stat != "play")
	{
	//Load curent set of stations
	preferences.radiostationPref1.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[0]");
	preferences.radiostationPref2.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[1]");
	preferences.radiostationPref3.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[2]");
	preferences.radiostationPref4.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[3]");
	preferences.radiostationPref5.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[4]");
	preferences.radiostationPref6.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[5]");
	preferences.radiostationPref7.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[6]");
	preferences.radiostationPref8.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[7]");
	savePreferences();
	
	//Loads stationchoice for button 1
	if (eval("preferences.stationDataPref" + preferences.radiostationPref1.value + ".value.split('|')[3]") != "nologo")
		{
		button1.src = "img/standard_button_" + eval("preferences.stationDataPref" + preferences.radiostationPref1.value + ".value.split('|')[3]") + ".png";
		}
		else
		{
		button1.src = eval("preferences.stationDataPref" + preferences.radiostationPref1.value + ".value.split('|')[4]");
	}
	button1.tooltip = eval("preferences.stationDataPref" + preferences.radiostationPref1.value + ".value.split('|')[0]");
	if (preferences.buttonTextPref.value !="notext") {button1Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref1.value + ".value.split('|')[0]");}
	
	//Loads stationchoice for button 2
	if (eval("preferences.stationDataPref" + preferences.radiostationPref2.value + ".value.split('|')[3]") != "nologo")
		{
		button2.src = "img/standard_button_" + eval("preferences.stationDataPref" + preferences.radiostationPref2.value + ".value.split('|')[3]") + ".png";
		}
		else
		{
		button2.src = eval("preferences.stationDataPref" + preferences.radiostationPref2.value + ".value.split('|')[4]");
	}
	button2.tooltip = eval("preferences.stationDataPref" + preferences.radiostationPref2.value + ".value.split('|')[0]");
	if (preferences.buttonTextPref.value !="notext") {button2Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref2.value + ".value.split('|')[0]");}

	//Loads stationchoice for button 3
	if (eval("preferences.stationDataPref" + preferences.radiostationPref3.value + ".value.split('|')[3]") != "nologo")
		{
		button3.src = "img/standard_button_" + eval("preferences.stationDataPref" + preferences.radiostationPref3.value + ".value.split('|')[3]") + ".png";
		}
		else
		{
		button3.src = eval("preferences.stationDataPref" + preferences.radiostationPref3.value + ".value.split('|')[4]");
	}
	button3.tooltip = eval("preferences.stationDataPref" + preferences.radiostationPref3.value + ".value.split('|')[0]");
	if (preferences.buttonTextPref.value !="notext") {button3Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref3.value + ".value.split('|')[0]");}

	//Loads stationchoice for button 4
	if (eval("preferences.stationDataPref" + preferences.radiostationPref4.value + ".value.split('|')[3]") != "nologo")
		{
		button4.src = "img/standard_button_" + eval("preferences.stationDataPref" + preferences.radiostationPref4.value + ".value.split('|')[3]") + ".png";
		}
		else
		{
		button4.src = eval("preferences.stationDataPref" + preferences.radiostationPref4.value + ".value.split('|')[4]");
	}
	button4.tooltip = eval("preferences.stationDataPref" + preferences.radiostationPref4.value + ".value.split('|')[0]");
	if (preferences.buttonTextPref.value !="notext") {button4Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref4.value + ".value.split('|')[0]");}
	
	//Loads stationchoice for button 5
	if (eval("preferences.stationDataPref" + preferences.radiostationPref5.value + ".value.split('|')[3]") != "nologo")
		{
		button5.src = "img/standard_button_" + eval("preferences.stationDataPref" + preferences.radiostationPref5.value + ".value.split('|')[3]") + ".png";
		}
		else
		{
		button5.src = eval("preferences.stationDataPref" + preferences.radiostationPref5.value + ".value.split('|')[4]");
	}
	button5.tooltip = eval("preferences.stationDataPref" + preferences.radiostationPref5.value + ".value.split('|')[0]");
	if (preferences.buttonTextPref.value !="notext") {button5Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref5.value + ".value.split('|')[0]");}
	
	//Loads stationchoice for button 6
	if (eval("preferences.stationDataPref" + preferences.radiostationPref6.value + ".value.split('|')[3]") != "nologo")
		{
		button6.src = "img/standard_button_" + eval("preferences.stationDataPref" + preferences.radiostationPref6.value + ".value.split('|')[3]") + ".png";
		}
		else
		{
		button6.src = eval("preferences.stationDataPref" + preferences.radiostationPref6.value + ".value.split('|')[4]");
	}
	button6.tooltip = eval("preferences.stationDataPref" + preferences.radiostationPref6.value + ".value.split('|')[0]");
	if (preferences.buttonTextPref.value !="notext") {button6Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref6.value + ".value.split('|')[0]");}
	
	//Loads stationchoice for button 7
	if (eval("preferences.stationDataPref" + preferences.radiostationPref7.value + ".value.split('|')[3]") != "nologo")
		{
		button7.src = "img/standard_button_" + eval("preferences.stationDataPref" + preferences.radiostationPref7.value + ".value.split('|')[3]") + ".png";
		}
		else
		{
		button7.src = eval("preferences.stationDataPref" + preferences.radiostationPref7.value + ".value.split('|')[4]");
	}
	button7.tooltip = eval("preferences.stationDataPref" + preferences.radiostationPref7.value + ".value.split('|')[0]");
	if (preferences.buttonTextPref.value !="notext") {button7Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref7.value + ".value.split('|')[0]");}
	
	//Loads stationchoice for button 8
	if (eval("preferences.stationDataPref" + preferences.radiostationPref8.value + ".value.split('|')[3]") != "nologo")
		{
		button8.src = "img/standard_button_" + eval("preferences.stationDataPref" + preferences.radiostationPref8.value + ".value.split('|')[3]") + ".png";
		}
		else
		{
		button8.src = eval("preferences.stationDataPref" + preferences.radiostationPref8.value + ".value.split('|')[4]");
	}
	button8.tooltip = eval("preferences.stationDataPref" + preferences.radiostationPref8.value + ".value.split('|')[0]");
	if (preferences.buttonTextPref.value !="notext") {button8Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref8.value + ".value.split('|')[0]");}
	}
}

//CLEAR BUTTONS
	function clearButtons() {
		button1.src ="";
		button2.src ="";
		button3.src ="";
		button4.src ="";
		button5.src ="";
		button6.src ="";
		button7.src ="";
		button8.src ="";
	}

//RADIOPLAYER WINDOWS MEDIA
	function playRadioWM() {
			if(stat == "play")
	            {
				PlayerWM.controls.stop();
				restoreFromWM();
            	}
            	else
            	{
				hideSets();
				PlayerWM.URL = eval("preferences.stationDataPref" + preferences.radioStationPref.value + ".value.split('|')[1]");
				if(preferences.showVolumePref.value =="1") {changeVol('startup');}
				if(preferences.showPlayingText.value =="1") {playingText.data = eval("preferences.stationDataPref" + preferences.radioStationPref.value + ".value.split('|')[0]")};
				PlayerWM.controls.play();
            	playingImage.src = eval(preferences.playingImagePref.value);
				if(preferences.streamLogoPref.value =="1") {
					streamLogo.src = "img/wm_logo.png";
					streamLogo.tooltip = "Stream format: Windows Media" + '\n' + "Stream link: " + eval("preferences.stationDataPref" + preferences.radioStationPref.value + ".value.split('|')[1]");
					}
            	stat = "play";
				currentStreamFormat = "wm";
				if(preferences.statusPref.value =="1") {WMstatusTimer.ticking = true;}
				if(preferences.showVolumePref.value =="1") {displayVol();}
            	}
           	}
//RADIOPLAYER - REAL AUDIO			
	function playRadioRA() {
			if(stat == "play")
				{
				PlayerRA.DoStop();
				restoreFromRA();
            	}
            	else
            	{
				hideSets();
				PlayerRA.SetSource(eval("preferences.stationDataPref" + preferences.radioStationPref.value + ".value.split('|')[1]"));
				if(preferences.showVolumePref.value =="1") {changeVol('startup');}
				if(preferences.showPlayingText.value =="1") {playingText.data = eval("preferences.stationDataPref" + preferences.radioStationPref.value + ".value.split('|')[0]")};
				PlayerRA.DoPlay();
				playingImage.src = eval(preferences.playingImagePref.value);
            	if(preferences.streamLogoPref.value =="1") {
					streamLogo.src = "img/ra_logo.png";
					streamLogo.tooltip = "Stream format: Real Audio" + '\n' + "Stream link: " + eval("preferences.stationDataPref" + preferences.radioStationPref.value + ".value.split('|')[1]");
				}
            	stat = "play";
				currentStreamFormat = "ra";
				if(preferences.statusPref.value =="1") {RAstatusTimer.ticking = true;}
				if(preferences.showVolumePref.value =="1") {displayVol();}
				}
			}

//RESTORE STATE FROM RA
	function restoreFromRA() {			
		playingImage.src = "";
		stat = "stop";
		currentStreamFormat = "";
		playingLogo.src ="";
		streamLogo.src = "";
		playingLogo.tooltip="";
		playingText.data ="";
		playingStatusText.data = "";
		RAstatusTimer.ticking = false;
		hideVol();
		switchStations();
		showSets();
	}

//RESTORE STATE FROM WM
	function restoreFromWM() {			
       	playingImage.src = "";
		stat = "stop";
		currentStreamFormat = "";
		playingLogo.src ="";
		streamLogo.src = "";
		playingLogo.tooltip="";
		playingText.data ="";
		playingStatusText.data = "";
		WMstatusTimer.ticking = false;
		hideVol();
		switchStations();
		showSets();
	}

//GET PLAYER STATUS WM
	function getPlayerStatusWM() {
		var currentStatusWM = PlayerWM.playState;
		switch(currentStatusWM) {
			case 0:
				playingStatusText.data = "Undefined state";
				break;
			case 1:
				playingStatusText.data = "Player stopped";
				break;
			case 2:
				playingStatusText.data = "Player paused";
				break;
			case 3:
				playingStatusText.data = "Playing live-stream @ " + parseInt(PlayerWM.network.bitRate/1000) + " Kbps";
				break;
			case 4:
				playingStatusText.data = "Fast forwarding";
				break;
			case 5:
				playingStatusText.data = "Fast rewinding";
				break;
			case 6:
				playingStatusText.data = "Buffering";
				break;
			case 7:
				playingStatusText.data = "Waiting";
				break;
			case 8:
				playingStatusText.data = "Live stream ended";
				break;
			case 9:
				playingStatusText.data = "Preparing new media item";
				break;
			case 10:
				playingStatusText.data = "Player ready";
				break;
			case 11:
				playingStatusText.data = "Reconnecting to live-stream";
				break;
			}
	}
		
//GET PLAYER STATUS RA
	function getPlayerStatusRA() {
		var currentStatusRA = PlayerRA.GetPlayState();
		switch(currentStatusRA) {
			case 0:
				playingStatusText.data = "Player stopped";
				break;
			case 1:
				playingStatusText.data = "Connecting to live-stream";
				break;
			case 2:
				playingStatusText.data = "Buffering";
				break;
			case 3:
				playingStatusText.data = "Playing live-stream @ " + parseInt(PlayerRA.GetBandwidthCurrent())/1000 + " Kbps";
				break;
			case 4:
				playingStatusText.data = "Player paused";
				break;
			case 5:
				playingStatusText.data = "Seeking";
				break;
			}
	}
	
//STARTUP MODE	
	function startupMode() {
		if (eval("preferences.stationDataPref" + preferences.radioStationPref.value + ".value.split('|')[3]") != "nologo")
			{
			playingLogo.src = "img/standard_button_" + eval("preferences.stationDataPref" + preferences.radioStationPref.value + ".value.split('|')[3]") + ".png";
			}
			else
			{
			playingLogo.src = eval("preferences.stationDataPref" + preferences.radioStationPref.value + ".value.split('|')[4]");
		}
		
		playingLogo.tooltip = eval("preferences.stationDataPref" + preferences.radioStationPref.value + ".value.split('|')[0]");
		if ((preferences.buttonTextPref.value !="notext") && (button8.vOffset ==102)) {restoreWidget();}
		clearButtons();
		if (eval("preferences.stationDataPref" + preferences.radioStationPref.value + ".value.split('|')[2]") == "wm") {
				playRadioWM();
				}
				else
				{
				playRadioRA();
				}
			}

//OVERLAY CHOOSER
	function changeGlassoverlay() {
		Glassoverlay.zOrder = preferences.glassoverlayPref.value;
		}

//BACKGROUND CHOOSER
	function changeBackground() {
		Background.src = preferences.backgroundPref.value;
		}

//BORDER CHOOSER
	function changeBorder() {
		if(preferences.borderPref.value =="1") 
		{
		Border.visible = true;
		}
		else
		{
		Border.visible = false;
		}	
	}		

//VERSION HISTORY
	function showVersionHistory() {
		filesystem.open("versionhistory.txt");
		}
//EDIT RADIOSTATIONS
	function editStations() {
		editWindow.visible = true;
		editChoice = 1;
		setEditChoice();
		}

//RESIZE WIDGET
	function resizeWidget() {
		var resizeValue = 20;
		var buttonPos = 10;
		Background.height = Background.height+resizeValue;
		Border.height = Border.height+resizeValue;
		Glassoverlay.height = Glassoverlay.height+resizeValue;
		button5.vOffset = button5.vOffset+buttonPos;
		button6.vOffset = button6.vOffset+buttonPos;
		button7.vOffset = button7.vOffset+buttonPos;
		button8.vOffset = button8.vOffset+buttonPos;
		button1Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref1.value + ".value.split('|')[0]");
		button2Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref2.value + ".value.split('|')[0]");
		button3Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref3.value + ".value.split('|')[0]");
		button4Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref4.value + ".value.split('|')[0]");
		button5Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref5.value + ".value.split('|')[0]");
		button6Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref6.value + ".value.split('|')[0]");
		button7Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref7.value + ".value.split('|')[0]");
		button8Text.data = eval("preferences.stationDataPref" + preferences.radiostationPref8.value + ".value.split('|')[0]");
	}
//RESTORE WIDGET
	function restoreWidget() {
		var resizeValue = 20;
		var buttonPos = 10;
		Background.height = Background.height-resizeValue;
		Border.height = Border.height-resizeValue;
		Glassoverlay.height = Glassoverlay.height-resizeValue;
		button5.vOffset = button5.vOffset-buttonPos;
		button6.vOffset = button6.vOffset-buttonPos;
		button7.vOffset = button7.vOffset-buttonPos;
		button8.vOffset = button8.vOffset-buttonPos;
		button1Text.data = "";
		button2Text.data = "";
		button3Text.data = "";
		button4Text.data = "";
		button5Text.data = "";
		button6Text.data = "";
		button7Text.data = "";
		button8Text.data = "";
	}
//HOTKEY CHOOSER
	function changeHotkey() {
		hkey1.key = preferences.hotKeyPref.value;
		}
//SWITCHES TEXTMODE
	function changeTextMode() {
		switch(preferences.buttonTextPref.value)
		{
			case "notext":
				if ((stat=="stop") && (button8.vOffset ==102)) {restoreWidget();}
				break;
			case "showtext":
				if ((stat=="stop") && (button8.vOffset !=102)) {resizeWidget();}
				break;
			case "whenfocus":
				if ((stat=="stop") && (button8.vOffset ==102)) {restoreWidget();}
				if ((stat=="stop") && (button8.vOffset !=102)) {resizeWidget();}
				break;
		}
	}

//EDIT CHOOSER
	function setEditChoice() {
		preferences.editStationPref.value = editChoice;
		savePreferences();		
		
		editTitle.data = "Edit radiostation " + preferences.editStationPref.value;

		if (eval("preferences.stationDataPref" + preferences.editStationPref.value + ".value.split('|')[3]") != "nologo")
			{
			editStationbutton.src = "img/standard_button_" + eval("preferences.stationDataPref" + preferences.editStationPref.value + ".value.split('|')[3]") + ".png";
			}
			else
			{
			editStationbutton.src = eval("preferences.stationDataPref" + preferences.editStationPref.value + ".value.split('|')[4]");
		}
		
		editbuttonText.data = eval("preferences.stationDataPref" + preferences.editStationPref.value + ".value.split('|')[0]");
		
		if (eval("preferences.stationDataPref" + preferences.editStationPref.value + ".value.split('|')[2]") != "ra")
			{
			editStreamText.data = "Windows Media";
			}
			else
			{
			editStreamText.data = "Real Audio";
		}
		
		editLinkText.data = eval("preferences.stationDataPref" + preferences.editStationPref.value + ".value.split('|')[1]");
	}
	
//MENU CHOOSER
	function setChoice() {
		currentSetVar = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')");
		switch(buttonMenu) {
			case "1":
				currentSetVar[0] = menuChoice;
				break;
			case "2":
				currentSetVar[1] = menuChoice;
				break;
			case "3":
				currentSetVar[2] = menuChoice;
				break;
			case "4":
				currentSetVar[3] = menuChoice;
				break;
			case "5":
				currentSetVar[4] = menuChoice;
				break;
			case "6":
				currentSetVar[5] = menuChoice;
				break;
			case "7":
				currentSetVar[6] = menuChoice;
				break;
			case "8":
				currentSetVar[7] = menuChoice;
				break;
		}
		convertedSetVar = currentSetVar[0] + '|' + currentSetVar[1] + '|' + currentSetVar[2] + '|' + currentSetVar[3] + '|' + currentSetVar[4] + '|' + currentSetVar[5] + '|' + currentSetVar[6] + '|' + currentSetVar[7];
		switch(preferences.currentSetPref.value){
			case "red":
				preferences.redSetPref.value = convertedSetVar;
				break;
			case "green":
				preferences.greenSetPref.value = convertedSetVar;
				break;
			case "blue":
				preferences.blueSetPref.value = convertedSetVar;
				break;
			case "yellow":
				preferences.yellowSetPref.value = convertedSetVar;
				break;
		}
		currentSetVar=null;
		convertedSetVar=null;
		savePreferences();		
		switchStations();
	}
	
//BUTTON TOPMENU	
	function buildTopMenu() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose submenu";
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = preferences.submenuTitlePref1.value;
			topitems[2].onSelect = "buildSubMenu1();";
			topitems[3] = new MenuItem();
			topitems[3].title = preferences.submenuTitlePref2.value;
			topitems[3].onSelect = "buildSubMenu2();";			
			topitems[4] = new MenuItem();
			topitems[4].title = preferences.submenuTitlePref3.value;
			topitems[4].onSelect = "buildSubMenu3();";
			topitems[5] = new MenuItem();
			topitems[5].title = preferences.submenuTitlePref4.value;
			topitems[5].onSelect = "buildSubMenu4();";
			topitems[6] = new MenuItem();
			topitems[6].title = preferences.submenuTitlePref5.value;
			topitems[6].onSelect = "buildSubMenu5();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}
	
//BUTTON SUBMENU 1	
	function buildSubMenu1() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose station for button " + buttonMenu;
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = "1: " + preferences.stationDataPref1.value.split('|')[0];
			topitems[2].onSelect = "var menuChoice='1'; setChoice();";
			topitems[3] = new MenuItem();
			topitems[3].title = "2: " + preferences.stationDataPref2.value.split('|')[0];
			topitems[3].onSelect = "var menuChoice='2'; setChoice();";			
			topitems[4] = new MenuItem();
			topitems[4].title = "3: " + preferences.stationDataPref3.value.split('|')[0];
			topitems[4].onSelect = "var menuChoice='3'; setChoice();";
			topitems[5] = new MenuItem();
			topitems[5].title = "4: " + preferences.stationDataPref4.value.split('|')[0];
			topitems[5].onSelect = "var menuChoice='4'; setChoice();";
			topitems[6] = new MenuItem();
			topitems[6].title = "5: " + preferences.stationDataPref5.value.split('|')[0];
			topitems[6].onSelect = "var menuChoice='5'; setChoice();";
			topitems[7] = new MenuItem();
			topitems[7].title = "6: " + preferences.stationDataPref6.value.split('|')[0];
			topitems[7].onSelect = "var menuChoice='6'; setChoice();";	
			topitems[8] = new MenuItem();
			topitems[8].title = "7: " + preferences.stationDataPref7.value.split('|')[0];
			topitems[8].onSelect = "var menuChoice='7'; setChoice();";
			topitems[9] = new MenuItem();
			topitems[9].title = "8: " + preferences.stationDataPref8.value.split('|')[0];
			topitems[9].onSelect = "var menuChoice='8'; setChoice();";
			topitems[10] = new MenuItem();
			topitems[10].title = "9: " + preferences.stationDataPref9.value.split('|')[0];
			topitems[10].onSelect = "var menuChoice='9'; setChoice();";
			topitems[11] = new MenuItem();
			topitems[11].title = "10: " + preferences.stationDataPref10.value.split('|')[0];
			topitems[11].onSelect = "var menuChoice='10'; setChoice();";
			topitems[12] = new MenuItem();
			topitems[12].title = "11: " + preferences.stationDataPref11.value.split('|')[0];
			topitems[12].onSelect = "var menuChoice='11'; setChoice();";			
			topitems[13] = new MenuItem();
			topitems[13].title = "12: " + preferences.stationDataPref12.value.split('|')[0];
			topitems[13].onSelect = "var menuChoice='12'; setChoice();";
			topitems[14] = new MenuItem();
			topitems[14].title = "13: " + preferences.stationDataPref13.value.split('|')[0];
			topitems[14].onSelect = "var menuChoice='13'; setChoice();";
			topitems[15] = new MenuItem();
			topitems[15].title = "14: " + preferences.stationDataPref14.value.split('|')[0];
			topitems[15].onSelect = "var menuChoice='14'; setChoice();";
			topitems[16] = new MenuItem();
			topitems[16].title = "15: " + preferences.stationDataPref15.value.split('|')[0];
			topitems[16].onSelect = "var menuChoice='15'; setChoice();";	
			topitems[17] = new MenuItem();
			topitems[17].title = "16: " + preferences.stationDataPref16.value.split('|')[0];
			topitems[17].onSelect = "var menuChoice='16'; setChoice();";
			topitems[18] = new MenuItem();
			topitems[18].title = "17: " + preferences.stationDataPref17.value.split('|')[0];
			topitems[18].onSelect = "var menuChoice='17'; setChoice();";
			topitems[19] = new MenuItem();
			topitems[19].title = "18: " + preferences.stationDataPref18.value.split('|')[0];
			topitems[19].onSelect = "var menuChoice='18'; setChoice();";
			topitems[20] = new MenuItem();
			topitems[20].title = "19: " + preferences.stationDataPref19.value.split('|')[0];
			topitems[20].onSelect = "var menuChoice='19'; setChoice();";	
			topitems[21] = new MenuItem();
			topitems[21].title = "20: " + preferences.stationDataPref20.value.split('|')[0];
			topitems[21].onSelect = "var menuChoice='20'; setChoice();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}

//BUTTON SUBMENU 2	
	function buildSubMenu2() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose station for button " + buttonMenu;
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = "21: " + preferences.stationDataPref21.value.split('|')[0];
			topitems[2].onSelect = "var menuChoice='21'; setChoice();";
			topitems[3] = new MenuItem();
			topitems[3].title = "22: " + preferences.stationDataPref22.value.split('|')[0];
			topitems[3].onSelect = "var menuChoice='22'; setChoice();";			
			topitems[4] = new MenuItem();
			topitems[4].title = "23: " + preferences.stationDataPref23.value.split('|')[0];
			topitems[4].onSelect = "var menuChoice='23'; setChoice();";
			topitems[5] = new MenuItem();
			topitems[5].title = "24: " + preferences.stationDataPref24.value.split('|')[0];
			topitems[5].onSelect = "var menuChoice='24'; setChoice();";
			topitems[6] = new MenuItem();
			topitems[6].title = "25: " + preferences.stationDataPref25.value.split('|')[0];
			topitems[6].onSelect = "var menuChoice='25'; setChoice();";
			topitems[7] = new MenuItem();
			topitems[7].title = "26: " + preferences.stationDataPref26.value.split('|')[0];
			topitems[7].onSelect = "var menuChoice='26'; setChoice();";	
			topitems[8] = new MenuItem();
			topitems[8].title = "27: " + preferences.stationDataPref27.value.split('|')[0];
			topitems[8].onSelect = "var menuChoice='27'; setChoice();";
			topitems[9] = new MenuItem();
			topitems[9].title = "28: " + preferences.stationDataPref28.value.split('|')[0];
			topitems[9].onSelect = "var menuChoice='28'; setChoice();";
			topitems[10] = new MenuItem();
			topitems[10].title = "29: " + preferences.stationDataPref29.value.split('|')[0];
			topitems[10].onSelect = "var menuChoice='29'; setChoice();";
			topitems[11] = new MenuItem();
			topitems[11].title = "30: " + preferences.stationDataPref30.value.split('|')[0];
			topitems[11].onSelect = "var menuChoice='30'; setChoice();";
			topitems[12] = new MenuItem();
			topitems[12].title = "31: " + preferences.stationDataPref31.value.split('|')[0];
			topitems[12].onSelect = "var menuChoice='31'; setChoice();";			
			topitems[13] = new MenuItem();
			topitems[13].title = "32: " + preferences.stationDataPref32.value.split('|')[0];
			topitems[13].onSelect = "var menuChoice='32'; setChoice();";
			topitems[14] = new MenuItem();
			topitems[14].title = "33: " + preferences.stationDataPref33.value.split('|')[0];
			topitems[14].onSelect = "var menuChoice='33'; setChoice();";
			topitems[15] = new MenuItem();
			topitems[15].title = "34: " + preferences.stationDataPref34.value.split('|')[0];
			topitems[15].onSelect = "var menuChoice='34'; setChoice();";
			topitems[16] = new MenuItem();
			topitems[16].title = "35: " + preferences.stationDataPref35.value.split('|')[0];
			topitems[16].onSelect = "var menuChoice='35'; setChoice();";	
			topitems[17] = new MenuItem();
			topitems[17].title = "36: " + preferences.stationDataPref36.value.split('|')[0];
			topitems[17].onSelect = "var menuChoice='36'; setChoice();";
			topitems[18] = new MenuItem();
			topitems[18].title = "37: " + preferences.stationDataPref37.value.split('|')[0];
			topitems[18].onSelect = "var menuChoice='37'; setChoice();";
			topitems[19] = new MenuItem();
			topitems[19].title = "38: " + preferences.stationDataPref38.value.split('|')[0];
			topitems[19].onSelect = "var menuChoice='38'; setChoice();";
			topitems[20] = new MenuItem();
			topitems[20].title = "39: " + preferences.stationDataPref39.value.split('|')[0];
			topitems[20].onSelect = "var menuChoice='39'; setChoice();";	
			topitems[21] = new MenuItem();
			topitems[21].title = "40: " + preferences.stationDataPref40.value.split('|')[0];
			topitems[21].onSelect = "var menuChoice='40'; setChoice();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}

//BUTTON SUBMENU 3	
	function buildSubMenu3() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose station for button " + buttonMenu;
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = "41: " + preferences.stationDataPref41.value.split('|')[0];
			topitems[2].onSelect = "var menuChoice='41'; setChoice();";
			topitems[3] = new MenuItem();
			topitems[3].title = "42: " + preferences.stationDataPref42.value.split('|')[0];
			topitems[3].onSelect = "var menuChoice='42'; setChoice();";			
			topitems[4] = new MenuItem();
			topitems[4].title = "43: " + preferences.stationDataPref43.value.split('|')[0];
			topitems[4].onSelect = "var menuChoice='43'; setChoice();";
			topitems[5] = new MenuItem();
			topitems[5].title = "44: " + preferences.stationDataPref44.value.split('|')[0];
			topitems[5].onSelect = "var menuChoice='44'; setChoice();";
			topitems[6] = new MenuItem();
			topitems[6].title = "45: " + preferences.stationDataPref45.value.split('|')[0];
			topitems[6].onSelect = "var menuChoice='45'; setChoice();";
			topitems[7] = new MenuItem();
			topitems[7].title = "46: " + preferences.stationDataPref46.value.split('|')[0];
			topitems[7].onSelect = "var menuChoice='46'; setChoice();";	
			topitems[8] = new MenuItem();
			topitems[8].title = "47: " + preferences.stationDataPref47.value.split('|')[0];
			topitems[8].onSelect = "var menuChoice='47'; setChoice();";
			topitems[9] = new MenuItem();
			topitems[9].title = "48: " + preferences.stationDataPref48.value.split('|')[0];
			topitems[9].onSelect = "var menuChoice='48'; setChoice();";
			topitems[10] = new MenuItem();
			topitems[10].title = "49: " + preferences.stationDataPref49.value.split('|')[0];
			topitems[10].onSelect = "var menuChoice='49'; setChoice();";
			topitems[11] = new MenuItem();
			topitems[11].title = "50: " + preferences.stationDataPref50.value.split('|')[0];
			topitems[11].onSelect = "var menuChoice='50'; setChoice();";
			topitems[12] = new MenuItem();
			topitems[12].title = "51: " + preferences.stationDataPref51.value.split('|')[0];
			topitems[12].onSelect = "var menuChoice='51'; setChoice();";			
			topitems[13] = new MenuItem();
			topitems[13].title = "52: " + preferences.stationDataPref52.value.split('|')[0];
			topitems[13].onSelect = "var menuChoice='52'; setChoice();";
			topitems[14] = new MenuItem();
			topitems[14].title = "53: " + preferences.stationDataPref53.value.split('|')[0];
			topitems[14].onSelect = "var menuChoice='53'; setChoice();";
			topitems[15] = new MenuItem();
			topitems[15].title = "54: " + preferences.stationDataPref54.value.split('|')[0];
			topitems[15].onSelect = "var menuChoice='54'; setChoice();";
			topitems[16] = new MenuItem();
			topitems[16].title = "55: " + preferences.stationDataPref55.value.split('|')[0];
			topitems[16].onSelect = "var menuChoice='55'; setChoice();";	
			topitems[17] = new MenuItem();
			topitems[17].title = "56: " + preferences.stationDataPref56.value.split('|')[0];
			topitems[17].onSelect = "var menuChoice='56'; setChoice();";
			topitems[18] = new MenuItem();
			topitems[18].title = "57: " + preferences.stationDataPref57.value.split('|')[0];
			topitems[18].onSelect = "var menuChoice='57'; setChoice();";
			topitems[19] = new MenuItem();
			topitems[19].title = "58: " + preferences.stationDataPref58.value.split('|')[0];
			topitems[19].onSelect = "var menuChoice='58'; setChoice();";
			topitems[20] = new MenuItem();
			topitems[20].title = "59: " + preferences.stationDataPref59.value.split('|')[0];
			topitems[20].onSelect = "var menuChoice='59'; setChoice();";	
			topitems[21] = new MenuItem();
			topitems[21].title = "60: " + preferences.stationDataPref60.value.split('|')[0];
			topitems[21].onSelect = "var menuChoice='60'; setChoice();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}

//BUTTON SUBMENU 4	
	function buildSubMenu4() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose station for button " + buttonMenu;
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = "61: " + preferences.stationDataPref61.value.split('|')[0];
			topitems[2].onSelect = "var menuChoice='61'; setChoice();";
			topitems[3] = new MenuItem();
			topitems[3].title = "62: " + preferences.stationDataPref62.value.split('|')[0];
			topitems[3].onSelect = "var menuChoice='62'; setChoice();";			
			topitems[4] = new MenuItem();
			topitems[4].title = "63: " + preferences.stationDataPref63.value.split('|')[0];
			topitems[4].onSelect = "var menuChoice='63'; setChoice();";
			topitems[5] = new MenuItem();
			topitems[5].title = "64: " + preferences.stationDataPref64.value.split('|')[0];
			topitems[5].onSelect = "var menuChoice='64'; setChoice();";
			topitems[6] = new MenuItem();
			topitems[6].title = "65: " + preferences.stationDataPref65.value.split('|')[0];
			topitems[6].onSelect = "var menuChoice='65'; setChoice();";
			topitems[7] = new MenuItem();
			topitems[7].title = "66: " + preferences.stationDataPref66.value.split('|')[0];
			topitems[7].onSelect = "var menuChoice='66'; setChoice();";	
			topitems[8] = new MenuItem();
			topitems[8].title = "67: " + preferences.stationDataPref67.value.split('|')[0];
			topitems[8].onSelect = "var menuChoice='67'; setChoice();";
			topitems[9] = new MenuItem();
			topitems[9].title = "68: " + preferences.stationDataPref68.value.split('|')[0];
			topitems[9].onSelect = "var menuChoice='68'; setChoice();";
			topitems[10] = new MenuItem();
			topitems[10].title = "69: " + preferences.stationDataPref69.value.split('|')[0];
			topitems[10].onSelect = "var menuChoice='69'; setChoice();";
			topitems[11] = new MenuItem();
			topitems[11].title = "70: " + preferences.stationDataPref70.value.split('|')[0];
			topitems[11].onSelect = "var menuChoice='70'; setChoice();";
			topitems[12] = new MenuItem();
			topitems[12].title = "71: " + preferences.stationDataPref71.value.split('|')[0];
			topitems[12].onSelect = "var menuChoice='71'; setChoice();";			
			topitems[13] = new MenuItem();
			topitems[13].title = "72: " + preferences.stationDataPref72.value.split('|')[0];
			topitems[13].onSelect = "var menuChoice='72'; setChoice();";
			topitems[14] = new MenuItem();
			topitems[14].title = "73: " + preferences.stationDataPref73.value.split('|')[0];
			topitems[14].onSelect = "var menuChoice='73'; setChoice();";
			topitems[15] = new MenuItem();
			topitems[15].title = "74: " + preferences.stationDataPref74.value.split('|')[0];
			topitems[15].onSelect = "var menuChoice='74'; setChoice();";
			topitems[16] = new MenuItem();
			topitems[16].title = "75: " + preferences.stationDataPref75.value.split('|')[0];
			topitems[16].onSelect = "var menuChoice='75'; setChoice();";	
			topitems[17] = new MenuItem();
			topitems[17].title = "76: " + preferences.stationDataPref76.value.split('|')[0];
			topitems[17].onSelect = "var menuChoice='76'; setChoice();";
			topitems[18] = new MenuItem();
			topitems[18].title = "77: " + preferences.stationDataPref77.value.split('|')[0];
			topitems[18].onSelect = "var menuChoice='77'; setChoice();";
			topitems[19] = new MenuItem();
			topitems[19].title = "78: " + preferences.stationDataPref78.value.split('|')[0];
			topitems[19].onSelect = "var menuChoice='78'; setChoice();";
			topitems[20] = new MenuItem();
			topitems[20].title = "79: " + preferences.stationDataPref79.value.split('|')[0];
			topitems[20].onSelect = "var menuChoice='79'; setChoice();";	
			topitems[21] = new MenuItem();
			topitems[21].title = "80: " + preferences.stationDataPref80.value.split('|')[0];
			topitems[21].onSelect = "var menuChoice='80'; setChoice();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}

//BUTTON SUBMENU 5
	function buildSubMenu5() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose station for button " + buttonMenu;
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = "81: " + preferences.stationDataPref81.value.split('|')[0];
			topitems[2].onSelect = "var menuChoice='81'; setChoice();";
			topitems[3] = new MenuItem();
			topitems[3].title = "82: " + preferences.stationDataPref82.value.split('|')[0];
			topitems[3].onSelect = "var menuChoice='82'; setChoice();";			
			topitems[4] = new MenuItem();
			topitems[4].title = "83: " + preferences.stationDataPref83.value.split('|')[0];
			topitems[4].onSelect = "var menuChoice='83'; setChoice();";
			topitems[5] = new MenuItem();
			topitems[5].title = "84: " + preferences.stationDataPref84.value.split('|')[0];
			topitems[5].onSelect = "var menuChoice='84'; setChoice();";
			topitems[6] = new MenuItem();
			topitems[6].title = "85: " + preferences.stationDataPref85.value.split('|')[0];
			topitems[6].onSelect = "var menuChoice='85'; setChoice();";
			topitems[7] = new MenuItem();
			topitems[7].title = "86: " + preferences.stationDataPref86.value.split('|')[0];
			topitems[7].onSelect = "var menuChoice='86'; setChoice();";	
			topitems[8] = new MenuItem();
			topitems[8].title = "87: " + preferences.stationDataPref87.value.split('|')[0];
			topitems[8].onSelect = "var menuChoice='87'; setChoice();";
			topitems[9] = new MenuItem();
			topitems[9].title = "88: " + preferences.stationDataPref88.value.split('|')[0];
			topitems[9].onSelect = "var menuChoice='88'; setChoice();";
			topitems[10] = new MenuItem();
			topitems[10].title = "89: " + preferences.stationDataPref89.value.split('|')[0];
			topitems[10].onSelect = "var menuChoice='89'; setChoice();";
			topitems[11] = new MenuItem();
			topitems[11].title = "90: " + preferences.stationDataPref90.value.split('|')[0];
			topitems[11].onSelect = "var menuChoice='90'; setChoice();";
			topitems[12] = new MenuItem();
			topitems[12].title = "91: " + preferences.stationDataPref91.value.split('|')[0];
			topitems[12].onSelect = "var menuChoice='91'; setChoice();";			
			topitems[13] = new MenuItem();
			topitems[13].title = "92: " + preferences.stationDataPref92.value.split('|')[0];
			topitems[13].onSelect = "var menuChoice='92'; setChoice();";
			topitems[14] = new MenuItem();
			topitems[14].title = "93: " + preferences.stationDataPref93.value.split('|')[0];
			topitems[14].onSelect = "var menuChoice='93'; setChoice();";
			topitems[15] = new MenuItem();
			topitems[15].title = "94: " + preferences.stationDataPref94.value.split('|')[0];
			topitems[15].onSelect = "var menuChoice='94'; setChoice();";
			topitems[16] = new MenuItem();
			topitems[16].title = "95: " + preferences.stationDataPref95.value.split('|')[0];
			topitems[16].onSelect = "var menuChoice='95'; setChoice();";	
			topitems[17] = new MenuItem();
			topitems[17].title = "96: " + preferences.stationDataPref96.value.split('|')[0];
			topitems[17].onSelect = "var menuChoice='96'; setChoice();";
			topitems[18] = new MenuItem();
			topitems[18].title = "97: " + preferences.stationDataPref97.value.split('|')[0];
			topitems[18].onSelect = "var menuChoice='97'; setChoice();";
			topitems[19] = new MenuItem();
			topitems[19].title = "98: " + preferences.stationDataPref98.value.split('|')[0];
			topitems[19].onSelect = "var menuChoice='98'; setChoice();";
			topitems[20] = new MenuItem();
			topitems[20].title = "99: " + preferences.stationDataPref99.value.split('|')[0];
			topitems[20].onSelect = "var menuChoice='99'; setChoice();";	
			topitems[21] = new MenuItem();
			topitems[21].title = "100: " + preferences.stationDataPref100.value.split('|')[0];
			topitems[21].onSelect = "var menuChoice='100'; setChoice();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}

//EDIT TOPMENU	
	function buildEditMenu() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose submenu";
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = preferences.submenuTitlePref1.value;
			topitems[2].onSelect = "buildEditSubMenu1();";
			topitems[3] = new MenuItem();
			topitems[3].title = preferences.submenuTitlePref2.value;
			topitems[3].onSelect = "buildEditSubMenu2();";			
			topitems[4] = new MenuItem();
			topitems[4].title = preferences.submenuTitlePref3.value;
			topitems[4].onSelect = "buildEditSubMenu3();";
			topitems[5] = new MenuItem();
			topitems[5].title = preferences.submenuTitlePref4.value;
			topitems[5].onSelect = "buildEditSubMenu4();";
			topitems[6] = new MenuItem();
			topitems[6].title = preferences.submenuTitlePref5.value;
			topitems[6].onSelect = "buildEditSubMenu5();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}
	
//EDIT SUBMENU 1	
	function buildEditSubMenu1() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose station to edit";
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = "1: " + preferences.stationDataPref1.value.split('|')[0];
			topitems[2].onSelect = "var editChoice='1'; setEditChoice();";
			topitems[3] = new MenuItem();
			topitems[3].title = "2: " + preferences.stationDataPref2.value.split('|')[0];
			topitems[3].onSelect = "var editChoice='2'; setEditChoice();";			
			topitems[4] = new MenuItem();
			topitems[4].title = "3: " + preferences.stationDataPref3.value.split('|')[0];
			topitems[4].onSelect = "var editChoice='3'; setEditChoice();";
			topitems[5] = new MenuItem();
			topitems[5].title = "4: " + preferences.stationDataPref4.value.split('|')[0];
			topitems[5].onSelect = "var editChoice='4'; setEditChoice();";
			topitems[6] = new MenuItem();
			topitems[6].title = "5: " + preferences.stationDataPref5.value.split('|')[0];
			topitems[6].onSelect = "var editChoice='5'; setEditChoice();";
			topitems[7] = new MenuItem();
			topitems[7].title = "6: " + preferences.stationDataPref6.value.split('|')[0];
			topitems[7].onSelect = "var editChoice='6'; setEditChoice();";	
			topitems[8] = new MenuItem();
			topitems[8].title = "7: " + preferences.stationDataPref7.value.split('|')[0];
			topitems[8].onSelect = "var editChoice='7'; setEditChoice();";
			topitems[9] = new MenuItem();
			topitems[9].title = "8: " + preferences.stationDataPref8.value.split('|')[0];
			topitems[9].onSelect = "var editChoice='8'; setEditChoice();";
			topitems[10] = new MenuItem();
			topitems[10].title = "9: " + preferences.stationDataPref9.value.split('|')[0];
			topitems[10].onSelect = "var editChoice='9'; setEditChoice();";
			topitems[11] = new MenuItem();
			topitems[11].title = "10: " + preferences.stationDataPref10.value.split('|')[0];
			topitems[11].onSelect = "var editChoice='10'; setEditChoice();";
			topitems[12] = new MenuItem();
			topitems[12].title = "11: " + preferences.stationDataPref11.value.split('|')[0];
			topitems[12].onSelect = "var editChoice='11'; setEditChoice();";			
			topitems[13] = new MenuItem();
			topitems[13].title = "12: " + preferences.stationDataPref12.value.split('|')[0];
			topitems[13].onSelect = "var editChoice='12'; setEditChoice();";
			topitems[14] = new MenuItem();
			topitems[14].title = "13: " + preferences.stationDataPref13.value.split('|')[0];
			topitems[14].onSelect = "var editChoice='13'; setEditChoice();";
			topitems[15] = new MenuItem();
			topitems[15].title = "14: " + preferences.stationDataPref14.value.split('|')[0];
			topitems[15].onSelect = "var editChoice='14'; setEditChoice();";
			topitems[16] = new MenuItem();
			topitems[16].title = "15: " + preferences.stationDataPref15.value.split('|')[0];
			topitems[16].onSelect = "var editChoice='15'; setEditChoice();";	
			topitems[17] = new MenuItem();
			topitems[17].title = "16: " + preferences.stationDataPref16.value.split('|')[0];
			topitems[17].onSelect = "var editChoice='16'; setEditChoice();";
			topitems[18] = new MenuItem();
			topitems[18].title = "17: " + preferences.stationDataPref17.value.split('|')[0];
			topitems[18].onSelect = "var editChoice='17'; setEditChoice();";
			topitems[19] = new MenuItem();
			topitems[19].title = "18: " + preferences.stationDataPref18.value.split('|')[0];
			topitems[19].onSelect = "var editChoice='18'; setEditChoice();";
			topitems[20] = new MenuItem();
			topitems[20].title = "19: " + preferences.stationDataPref19.value.split('|')[0];
			topitems[20].onSelect = "var editChoice='19'; setEditChoice();";	
			topitems[21] = new MenuItem();
			topitems[21].title = "20: " + preferences.stationDataPref20.value.split('|')[0];
			topitems[21].onSelect = "var editChoice='20'; setEditChoice();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}

//EDIT SUBMENU 2	
	function buildEditSubMenu2() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose station to edit";
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = "21: " + preferences.stationDataPref21.value.split('|')[0];
			topitems[2].onSelect = "var editChoice='21'; setEditChoice();";
			topitems[3] = new MenuItem();
			topitems[3].title = "22: " + preferences.stationDataPref22.value.split('|')[0];
			topitems[3].onSelect = "var editChoice='22'; setEditChoice();";			
			topitems[4] = new MenuItem();
			topitems[4].title = "23: " + preferences.stationDataPref23.value.split('|')[0];
			topitems[4].onSelect = "var editChoice='23'; setEditChoice();";
			topitems[5] = new MenuItem();
			topitems[5].title = "24: " + preferences.stationDataPref24.value.split('|')[0];
			topitems[5].onSelect = "var editChoice='24'; setEditChoice();";
			topitems[6] = new MenuItem();
			topitems[6].title = "25: " + preferences.stationDataPref25.value.split('|')[0];
			topitems[6].onSelect = "var editChoice='25'; setEditChoice();";
			topitems[7] = new MenuItem();
			topitems[7].title = "26: " + preferences.stationDataPref26.value.split('|')[0];
			topitems[7].onSelect = "var editChoice='26'; setEditChoice();";	
			topitems[8] = new MenuItem();
			topitems[8].title = "27: " + preferences.stationDataPref27.value.split('|')[0];
			topitems[8].onSelect = "var editChoice='27'; setEditChoice();";
			topitems[9] = new MenuItem();
			topitems[9].title = "28: " + preferences.stationDataPref28.value.split('|')[0];
			topitems[9].onSelect = "var editChoice='28'; setEditChoice();";
			topitems[10] = new MenuItem();
			topitems[10].title = "29: " + preferences.stationDataPref29.value.split('|')[0];
			topitems[10].onSelect = "var editChoice='29'; setEditChoice();";
			topitems[11] = new MenuItem();
			topitems[11].title = "30: " + preferences.stationDataPref30.value.split('|')[0];
			topitems[11].onSelect = "var editChoice='30'; setEditChoice();";
			topitems[12] = new MenuItem();
			topitems[12].title = "31: " + preferences.stationDataPref31.value.split('|')[0];
			topitems[12].onSelect = "var editChoice='31'; setEditChoice();";			
			topitems[13] = new MenuItem();
			topitems[13].title = "32: " + preferences.stationDataPref32.value.split('|')[0];
			topitems[13].onSelect = "var editChoice='32'; setEditChoice();";
			topitems[14] = new MenuItem();
			topitems[14].title = "33: " + preferences.stationDataPref33.value.split('|')[0];
			topitems[14].onSelect = "var editChoice='33'; setEditChoice();";
			topitems[15] = new MenuItem();
			topitems[15].title = "34: " + preferences.stationDataPref34.value.split('|')[0];
			topitems[15].onSelect = "var editChoice='34'; setEditChoice();";
			topitems[16] = new MenuItem();
			topitems[16].title = "35: " + preferences.stationDataPref35.value.split('|')[0];
			topitems[16].onSelect = "var editChoice='35'; setEditChoice();";	
			topitems[17] = new MenuItem();
			topitems[17].title = "36: " + preferences.stationDataPref36.value.split('|')[0];
			topitems[17].onSelect = "var editChoice='36'; setEditChoice();";
			topitems[18] = new MenuItem();
			topitems[18].title = "37: " + preferences.stationDataPref37.value.split('|')[0];
			topitems[18].onSelect = "var editChoice='37'; setEditChoice();";
			topitems[19] = new MenuItem();
			topitems[19].title = "38: " + preferences.stationDataPref38.value.split('|')[0];
			topitems[19].onSelect = "var editChoice='38'; setEditChoice();";
			topitems[20] = new MenuItem();
			topitems[20].title = "39: " + preferences.stationDataPref39.value.split('|')[0];
			topitems[20].onSelect = "var editChoice='39'; setEditChoice();";	
			topitems[21] = new MenuItem();
			topitems[21].title = "40: " + preferences.stationDataPref40.value.split('|')[0];
			topitems[21].onSelect = "var editChoice='40'; setEditChoice();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}

//EDITSUBMENU 3
	function buildEditSubMenu3() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose station to edit";
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = "41: " + preferences.stationDataPref41.value.split('|')[0];
			topitems[2].onSelect = "var editChoice='41'; setEditChoice();";
			topitems[3] = new MenuItem();
			topitems[3].title = "42: " + preferences.stationDataPref42.value.split('|')[0];
			topitems[3].onSelect = "var editChoice='42'; setEditChoice();";			
			topitems[4] = new MenuItem();
			topitems[4].title = "43: " + preferences.stationDataPref43.value.split('|')[0];
			topitems[4].onSelect = "var editChoice='43'; setEditChoice();";
			topitems[5] = new MenuItem();
			topitems[5].title = "44: " + preferences.stationDataPref44.value.split('|')[0];
			topitems[5].onSelect = "var editChoice='44'; setEditChoice();";
			topitems[6] = new MenuItem();
			topitems[6].title = "45: " + preferences.stationDataPref45.value.split('|')[0];
			topitems[6].onSelect = "var editChoice='45'; setEditChoice();";
			topitems[7] = new MenuItem();
			topitems[7].title = "46: " + preferences.stationDataPref46.value.split('|')[0];
			topitems[7].onSelect = "var editChoice='46'; setEditChoice();";	
			topitems[8] = new MenuItem();
			topitems[8].title = "47: " + preferences.stationDataPref47.value.split('|')[0];
			topitems[8].onSelect = "var editChoice='47'; setEditChoice();";
			topitems[9] = new MenuItem();
			topitems[9].title = "48: " + preferences.stationDataPref48.value.split('|')[0];
			topitems[9].onSelect = "var editChoice='48'; setEditChoice();";
			topitems[10] = new MenuItem();
			topitems[10].title = "49: " + preferences.stationDataPref49.value.split('|')[0];
			topitems[10].onSelect = "var editChoice='49'; setEditChoice();";
			topitems[11] = new MenuItem();
			topitems[11].title = "50: " + preferences.stationDataPref50.value.split('|')[0];
			topitems[11].onSelect = "var editChoice='50'; setEditChoice();";
			topitems[12] = new MenuItem();
			topitems[12].title = "51: " + preferences.stationDataPref51.value.split('|')[0];
			topitems[12].onSelect = "var editChoice='51'; setEditChoice();";			
			topitems[13] = new MenuItem();
			topitems[13].title = "52: " + preferences.stationDataPref52.value.split('|')[0];
			topitems[13].onSelect = "var editChoice='52'; setEditChoice();";
			topitems[14] = new MenuItem();
			topitems[14].title = "53: " + preferences.stationDataPref53.value.split('|')[0];
			topitems[14].onSelect = "var editChoice='53'; setEditChoice();";
			topitems[15] = new MenuItem();
			topitems[15].title = "54: " + preferences.stationDataPref54.value.split('|')[0];
			topitems[15].onSelect = "var editChoice='54'; setEditChoice();";
			topitems[16] = new MenuItem();
			topitems[16].title = "55: " + preferences.stationDataPref55.value.split('|')[0];
			topitems[16].onSelect = "var editChoice='55'; setEditChoice();";	
			topitems[17] = new MenuItem();
			topitems[17].title = "56: " + preferences.stationDataPref56.value.split('|')[0];
			topitems[17].onSelect = "var editChoice='56'; setEditChoice();";
			topitems[18] = new MenuItem();
			topitems[18].title = "57: " + preferences.stationDataPref57.value.split('|')[0];
			topitems[18].onSelect = "var editChoice='57'; setEditChoice();";
			topitems[19] = new MenuItem();
			topitems[19].title = "58: " + preferences.stationDataPref58.value.split('|')[0];
			topitems[19].onSelect = "var editChoice='58'; setEditChoice();";
			topitems[20] = new MenuItem();
			topitems[20].title = "59: " + preferences.stationDataPref59.value.split('|')[0];
			topitems[20].onSelect = "var editChoice='59'; setEditChoice();";	
			topitems[21] = new MenuItem();
			topitems[21].title = "60: " + preferences.stationDataPref60.value.split('|')[0];
			topitems[21].onSelect = "var editChoice='60'; setEditChoice();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}

//EDIT SUBMENU 4
	function buildEditSubMenu4() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose station to edit";
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = "61: " + preferences.stationDataPref61.value.split('|')[0];
			topitems[2].onSelect = "var editChoice='61'; setEditChoice();";
			topitems[3] = new MenuItem();
			topitems[3].title = "62: " + preferences.stationDataPref62.value.split('|')[0];
			topitems[3].onSelect = "var editChoice='62'; setEditChoice();";			
			topitems[4] = new MenuItem();
			topitems[4].title = "63: " + preferences.stationDataPref63.value.split('|')[0];
			topitems[4].onSelect = "var editChoice='63'; setEditChoice();";
			topitems[5] = new MenuItem();
			topitems[5].title = "64: " + preferences.stationDataPref64.value.split('|')[0];
			topitems[5].onSelect = "var editChoice='64'; setEditChoice();";
			topitems[6] = new MenuItem();
			topitems[6].title = "65: " + preferences.stationDataPref65.value.split('|')[0];
			topitems[6].onSelect = "var editChoice='65'; setEditChoice();";
			topitems[7] = new MenuItem();
			topitems[7].title = "66: " + preferences.stationDataPref66.value.split('|')[0];
			topitems[7].onSelect = "var editChoice='66'; setEditChoice();";	
			topitems[8] = new MenuItem();
			topitems[8].title = "67: " + preferences.stationDataPref67.value.split('|')[0];
			topitems[8].onSelect = "var editChoice='67'; setEditChoice();";
			topitems[9] = new MenuItem();
			topitems[9].title = "68: " + preferences.stationDataPref68.value.split('|')[0];
			topitems[9].onSelect = "var editChoice='68'; setEditChoice();";
			topitems[10] = new MenuItem();
			topitems[10].title = "69: " + preferences.stationDataPref69.value.split('|')[0];
			topitems[10].onSelect = "var editChoice='69'; setEditChoice();";
			topitems[11] = new MenuItem();
			topitems[11].title = "70: " + preferences.stationDataPref70.value.split('|')[0];
			topitems[11].onSelect = "var editChoice='70'; setEditChoice();";
			topitems[12] = new MenuItem();
			topitems[12].title = "71: " + preferences.stationDataPref71.value.split('|')[0];
			topitems[12].onSelect = "var editChoice='71'; setEditChoice();";			
			topitems[13] = new MenuItem();
			topitems[13].title = "72: " + preferences.stationDataPref72.value.split('|')[0];
			topitems[13].onSelect = "var editChoice='72'; setEditChoice();";
			topitems[14] = new MenuItem();
			topitems[14].title = "73: " + preferences.stationDataPref73.value.split('|')[0];
			topitems[14].onSelect = "var editChoice='73'; setEditChoice();";
			topitems[15] = new MenuItem();
			topitems[15].title = "74: " + preferences.stationDataPref74.value.split('|')[0];
			topitems[15].onSelect = "var editChoice='74'; setEditChoice();";
			topitems[16] = new MenuItem();
			topitems[16].title = "75: " + preferences.stationDataPref75.value.split('|')[0];
			topitems[16].onSelect = "var editChoice='75'; setEditChoice();";	
			topitems[17] = new MenuItem();
			topitems[17].title = "76: " + preferences.stationDataPref76.value.split('|')[0];
			topitems[17].onSelect = "var editChoice='76'; setEditChoice();";
			topitems[18] = new MenuItem();
			topitems[18].title = "77: " + preferences.stationDataPref77.value.split('|')[0];
			topitems[18].onSelect = "var editChoice='77'; setEditChoice();";
			topitems[19] = new MenuItem();
			topitems[19].title = "78: " + preferences.stationDataPref78.value.split('|')[0];
			topitems[19].onSelect = "var editChoice='78'; setEditChoice();";
			topitems[20] = new MenuItem();
			topitems[20].title = "79: " + preferences.stationDataPref79.value.split('|')[0];
			topitems[20].onSelect = "var editChoice='79'; setEditChoice();";	
			topitems[21] = new MenuItem();
			topitems[21].title = "80: " + preferences.stationDataPref80.value.split('|')[0];
			topitems[21].onSelect = "var editChoice='80'; setEditChoice();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}

//EDIT SUBMENU5
	function buildEditSubMenu5() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose station to edit";
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = "81: " + preferences.stationDataPref81.value.split('|')[0];
			topitems[2].onSelect = "var editChoice='81'; setEditChoice();";
			topitems[3] = new MenuItem();
			topitems[3].title = "82: " + preferences.stationDataPref82.value.split('|')[0];
			topitems[3].onSelect = "var editChoice='82'; setEditChoice();";			
			topitems[4] = new MenuItem();
			topitems[4].title = "83: " + preferences.stationDataPref83.value.split('|')[0];
			topitems[4].onSelect = "var editChoice='83'; setEditChoice();";
			topitems[5] = new MenuItem();
			topitems[5].title = "84: " + preferences.stationDataPref84.value.split('|')[0];
			topitems[5].onSelect = "var editChoice='84'; setEditChoice();";
			topitems[6] = new MenuItem();
			topitems[6].title = "85: " + preferences.stationDataPref85.value.split('|')[0];
			topitems[6].onSelect = "var editChoice='85'; setEditChoice();";
			topitems[7] = new MenuItem();
			topitems[7].title = "86: " + preferences.stationDataPref86.value.split('|')[0];
			topitems[7].onSelect = "var editChoice='86'; setEditChoice();";	
			topitems[8] = new MenuItem();
			topitems[8].title = "87: " + preferences.stationDataPref87.value.split('|')[0];
			topitems[8].onSelect = "var editChoice='87'; setEditChoice();";
			topitems[9] = new MenuItem();
			topitems[9].title = "88: " + preferences.stationDataPref88.value.split('|')[0];
			topitems[9].onSelect = "var editChoice='88'; setEditChoice();";
			topitems[10] = new MenuItem();
			topitems[10].title = "89: " + preferences.stationDataPref89.value.split('|')[0];
			topitems[10].onSelect = "var editChoice='89'; setEditChoice();";
			topitems[11] = new MenuItem();
			topitems[11].title = "90: " + preferences.stationDataPref90.value.split('|')[0];
			topitems[11].onSelect = "var editChoice='90'; setEditChoice();";
			topitems[12] = new MenuItem();
			topitems[12].title = "91: " + preferences.stationDataPref91.value.split('|')[0];
			topitems[12].onSelect = "var editChoice='91'; setEditChoice();";			
			topitems[13] = new MenuItem();
			topitems[13].title = "92: " + preferences.stationDataPref92.value.split('|')[0];
			topitems[13].onSelect = "var editChoice='92'; setEditChoice();";
			topitems[14] = new MenuItem();
			topitems[14].title = "93: " + preferences.stationDataPref93.value.split('|')[0];
			topitems[14].onSelect = "var editChoice='93'; setEditChoice();";
			topitems[15] = new MenuItem();
			topitems[15].title = "94: " + preferences.stationDataPref94.value.split('|')[0];
			topitems[15].onSelect = "var editChoice='94'; setEditChoice();";
			topitems[16] = new MenuItem();
			topitems[16].title = "95: " + preferences.stationDataPref95.value.split('|')[0];
			topitems[16].onSelect = "var editChoice='95'; setEditChoice();";	
			topitems[17] = new MenuItem();
			topitems[17].title = "96: " + preferences.stationDataPref96.value.split('|')[0];
			topitems[17].onSelect = "var editChoice='96'; setEditChoice();";
			topitems[18] = new MenuItem();
			topitems[18].title = "97: " + preferences.stationDataPref97.value.split('|')[0];
			topitems[18].onSelect = "var editChoice='97'; setEditChoice();";
			topitems[19] = new MenuItem();
			topitems[19].title = "98: " + preferences.stationDataPref98.value.split('|')[0];
			topitems[19].onSelect = "var editChoice='98'; setEditChoice();";
			topitems[20] = new MenuItem();
			topitems[20].title = "99: " + preferences.stationDataPref99.value.split('|')[0];
			topitems[20].onSelect = "var editChoice='99'; setEditChoice();";	
			topitems[21] = new MenuItem();
			topitems[21].title = "100: " + preferences.stationDataPref100.value.split('|')[0];
			topitems[21].onSelect = "var editChoice='100'; setEditChoice();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}	

//EDIT DIALOG
	function editDialog() {
		var formfields = Array();
		
		var optPopup1 = new Array("Real Audio", "Windows Media")
		var optValPopup1 = new Array("ra", "wm")

		var optPopup2 = new Array("-=No standard-logo(select your own below)=-", "Blue logo", "Cyan logo", "Green logo", "Grey logo", "Orange logo", "Pink logo", "Red logo", "Yellow logo")
		var optValPopup2 = new Array("nologo", "blue", "cyan", "green", "grey", "orange", "pink", "red", "yellow")
		
		formfields[0] = new FormField();
		formfields[0].name = 'text1';
		formfields[0].type = 'text';
		formfields[0].title = 'Radiostation name:';
		formfields[0].defaultValue = eval("preferences.stationDataPref" + preferences.editStationPref.value + ".value.split('|')[0]");
		formfields[0].description = 'Enter radiostations name (will show as tooltip)';
		
		formfields[1] = new FormField();
		formfields[1].name = 'text2';
		formfields[1].type = 'text';
		formfields[1].title = 'Radiostation link:';
		formfields[1].defaultValue = eval("preferences.stationDataPref" + preferences.editStationPref.value + ".value.split('|')[1]");
		formfields[1].description = 'Enter a link to a live stream';
		
		formfields[2] = new FormField();
		formfields[2].name = 'popup1';
		formfields[2].type = 'popup';
		formfields[2].title = 'Stream format:';
		formfields[2].option = optPopup1;
		formfields[2].optionValue = optValPopup1;
		formfields[2].defaultValue = eval("preferences.stationDataPref" + preferences.editStationPref.value + ".value.split('|')[2]");
		formfields[2].description = 'Choose streamformat';
		
		formfields[3] = new FormField();
		formfields[3].name = 'popup2';
		formfields[3].type = 'popup';
		formfields[3].title = 'Standard logo:';
		formfields[3].option = optPopup2;
		formfields[3].optionValue = optValPopup2;
		formfields[3].defaultValue = eval("preferences.stationDataPref" + preferences.editStationPref.value + ".value.split('|')[3]");
		formfields[3].description = 'Choose if you want to use a standard-logo instead of a user created(this switch overrides userselected logo below).';
		
		formfields[4] = new FormField();
		formfields[4].name = 'selector1';
		formfields[4].type = 'selector';
		formfields[4].title = 'Radiostation logo:';
		formfields[4].defaultValue = eval("preferences.stationDataPref" + preferences.editStationPref.value + ".value.split('|')[4]");
		formfields[4].description = 'Choose an image-file to use as logo (size in pixels width=46, hight=35 and format .png). IMPORTANT!! For the predefined stations there are logos included for you to select. But if you create your own be sure to put them in a separate folder (ex. ~\My Documents\My logos).';
		
		
		formResults = form(formfields, 'Edit radiostation ' + preferences.editStationPref.value, 'Save stationdata', 'Cancel');
		if (formResults != null) {convertedResult = formResults[0] + '|' + formResults[1] + '|' + formResults[2] + '|' + formResults[3] + '|' + formResults[4];}
		
		if (formResults != null) {
			switch(preferences.editStationPref.value) {
				case "1":
					preferences.stationDataPref1.value = convertedResult;
					break;
				case "2":
					preferences.stationDataPref2.value = convertedResult;
					break;
				case "3":
					preferences.stationDataPref3.value = convertedResult;
					break;
				case "4":
					preferences.stationDataPref4.value = convertedResult;
					break;
				case "5":
					preferences.stationDataPref5.value = convertedResult;
					break;
				case "6":
					preferences.stationDataPref6.value = convertedResult;
					break;
				case "7":
					preferences.stationDataPref7.value = convertedResult;
					break;
				case "8":
					preferences.stationDataPref8.value = convertedResult;
					break;
				case "9":
					preferences.stationDataPref9.value = convertedResult;
					break;
				case "10":
					preferences.stationDataPref10.value = convertedResult;
					break;
				case "11":
					preferences.stationDataPref11.value = convertedResult;
					break;
				case "12":
					preferences.stationDataPref12.value = convertedResult;
					break;
				case "13":
					preferences.stationDataPref13.value = convertedResult;
					break;
				case "14":
					preferences.stationDataPref14.value = convertedResult;
					break;
				case "15":
					preferences.stationDataPref15.value = convertedResult;
					break;
				case "16":
					preferences.stationDataPref16.value = convertedResult;
					break;
				case "17":
					preferences.stationDataPref17.value = convertedResult;
					break;
				case "18":
					preferences.stationDataPref18.value = convertedResult;
					break;
				case "19":
					preferences.stationDataPref19.value = convertedResult;
					break;
				case "20":
					preferences.stationDataPref20.value = convertedResult;
					break;
				case "21":
					preferences.stationDataPref21.value = convertedResult;
					break;
				case "22":
					preferences.stationDataPref22.value = convertedResult;
					break;
				case "23":
					preferences.stationDataPref23.value = convertedResult;
					break;
				case "24":
					preferences.stationDataPref24.value = convertedResult;
					break;
				case "25":
					preferences.stationDataPref25.value = convertedResult;
					break;
				case "26":
					preferences.stationDataPref26.value = convertedResult;
					break;
				case "27":
					preferences.stationDataPref27.value = convertedResult;
					break;
				case "28":
					preferences.stationDataPref28.value = convertedResult;
					break;
				case "29":
					preferences.stationDataPref29.value = convertedResult;
					break;
				case "30":
					preferences.stationDataPref30.value = convertedResult;
					break;
				case "31":
					preferences.stationDataPref31.value = convertedResult;
					break;
				case "32":
					preferences.stationDataPref32.value = convertedResult;
					break;
				case "33":
					preferences.stationDataPref33.value = convertedResult;
					break;
				case "34":
					preferences.stationDataPref34.value = convertedResult;
					break;
				case "35":
					preferences.stationDataPref35.value = convertedResult;
					break;
				case "36":
					preferences.stationDataPref36.value = convertedResult;
					break;
				case "37":
					preferences.stationDataPref37.value = convertedResult;
					break;
				case "38":
					preferences.stationDataPref38.value = convertedResult;
					break;
				case "39":
					preferences.stationDataPref39.value = convertedResult;
					break;
				case "40":
					preferences.stationDataPref40.value = convertedResult;
					break;
				case "41":
					preferences.stationDataPref41.value = convertedResult;
					break;
				case "42":
					preferences.stationDataPref42.value = convertedResult;
					break;
				case "43":
					preferences.stationDataPref43.value = convertedResult;
					break;
				case "44":
					preferences.stationDataPref44.value = convertedResult;
					break;
				case "45":
					preferences.stationDataPref45.value = convertedResult;
					break;
				case "46":
					preferences.stationDataPref46.value = convertedResult;
					break;
				case "47":
					preferences.stationDataPref47.value = convertedResult;
					break;
				case "48":
					preferences.stationDataPref48.value = convertedResult;
					break;
				case "49":
					preferences.stationDataPref49.value = convertedResult;
					break;
				case "50":
					preferences.stationDataPref50.value = convertedResult;
					break;
				case "51":
					preferences.stationDataPref51.value = convertedResult;
					break;
				case "52":
					preferences.stationDataPref52.value = convertedResult;
					break;
				case "53":
					preferences.stationDataPref53.value = convertedResult;
					break;
				case "54":
					preferences.stationDataPref54.value = convertedResult;
					break;
				case "55":
					preferences.stationDataPref55.value = convertedResult;
					break;
				case "56":
					preferences.stationDataPref56.value = convertedResult;
					break;
				case "57":
					preferences.stationDataPref57.value = convertedResult;
					break;
				case "58":
					preferences.stationDataPref58.value = convertedResult;
					break;
				case "59":
					preferences.stationDataPref59.value = convertedResult;
					break;
				case "60":
					preferences.stationDataPref60.value = convertedResult;
					break;
				case "61":
					preferences.stationDataPref61.value = convertedResult;
					break;
				case "62":
					preferences.stationDataPref62.value = convertedResult;
					break;
				case "63":
					preferences.stationDataPref63.value = convertedResult;
					break;
				case "64":
					preferences.stationDataPref64.value = convertedResult;
					break;
				case "65":
					preferences.stationDataPref65.value = convertedResult;
					break;
				case "66":
					preferences.stationDataPref66.value = convertedResult;
					break;
				case "67":
					preferences.stationDataPref67.value = convertedResult;
					break;
				case "68":
					preferences.stationDataPref68.value = convertedResult;
					break;
				case "69":
					preferences.stationDataPref69.value = convertedResult;
					break;
				case "70":
					preferences.stationDataPref70.value = convertedResult;
					break;
				case "71":
					preferences.stationDataPref71.value = convertedResult;
					break;
				case "72":
					preferences.stationDataPref72.value = convertedResult;
					break;
				case "73":
					preferences.stationDataPref73.value = convertedResult;
					break;
				case "74":
					preferences.stationDataPref74.value = convertedResult;
					break;
				case "75":
					preferences.stationDataPref75.value = convertedResult;
					break;
				case "76":
					preferences.stationDataPref76.value = convertedResult;
					break;
				case "77":
					preferences.stationDataPref77.value = convertedResult;
					break;
				case "78":
					preferences.stationDataPref78.value = convertedResult;
					break;
				case "79":
					preferences.stationDataPref79.value = convertedResult;
					break;
				case "80":
					preferences.stationDataPref80.value = convertedResult;
					break;
				case "81":
					preferences.stationDataPref81.value = convertedResult;
					break;
				case "82":
					preferences.stationDataPref82.value = convertedResult;
					break;
				case "83":
					preferences.stationDataPref83.value = convertedResult;
					break;
				case "84":
					preferences.stationDataPref84.value = convertedResult;
					break;
				case "85":
					preferences.stationDataPref85.value = convertedResult;
					break;
				case "86":
					preferences.stationDataPref86.value = convertedResult;
					break;
				case "87":
					preferences.stationDataPref87.value = convertedResult;
					break;
				case "88":
					preferences.stationDataPref88.value = convertedResult;
					break;
				case "89":
					preferences.stationDataPref89.value = convertedResult;
					break;
				case "90":
					preferences.stationDataPref90.value = convertedResult;
					break;
				case "91":
					preferences.stationDataPref91.value = convertedResult;
					break;
				case "92":
					preferences.stationDataPref92.value = convertedResult;
					break;
				case "93":
					preferences.stationDataPref93.value = convertedResult;
					break;
				case "94":
					preferences.stationDataPref94.value = convertedResult;
					break;
				case "95":
					preferences.stationDataPref95.value = convertedResult;
					break;
				case "96":
					preferences.stationDataPref96.value = convertedResult;
					break;
				case "97":
					preferences.stationDataPref97.value = convertedResult;
					break;
				case "98":
					preferences.stationDataPref98.value = convertedResult;
					break;
				case "99":
					preferences.stationDataPref99.value = convertedResult;
					break;
				case "100":
					preferences.stationDataPref100.value = convertedResult;
					break;					
			}
			savePreferences();
			setEditChoice();
			} 
			else
			{
		}
	}

//ASK TO SAVE FILE
	function askToSave() {
		answer = alert("This will save your radiosettings in a textfile of your choice. If you choose an existing file it will be overwritten. Do you wish to continue?", "Yes", "No"); 
		if(answer == 1) {saveSettingsToFile();}
	}

//ASK TO LOAD FILE
	function askToLoad() {
		answer = alert("This will load radiosettings from a textfile of your choice, this should be a file saved using the 'Save radiostations to file' function. Your existing radiostations will be overwritten.\n\nThis function supports files with 20 (version 2.0-2.1) or 100 stations.\n\nDo you wish to continue?", "Yes", "No"); 
		if(answer == 1) {chooseFormat();}
	}
//DETERMINE FORMAT OF LOADED FILE
	function chooseFormat() {
		source = chooseFile();
		if (source != null) {
			var loadedData = filesystem.readFile(source, true);
			
			if (loadedData.length == 100) {
				loadOldSettingsFromFile(loadedData);
				}
				else
				{
				loadSettingsFromFile(loadedData);
			}
		}
		loadedData = null;
	}
			
//SAVE SETTINGS TO FILE
	function saveSettingsToFile() {
		var saveSettings1 = preferences.stationDataPref1.value.split('|')[0] +'\n'+ preferences.stationDataPref1.value.split('|')[1] +'\n'+ preferences.stationDataPref1.value.split('|')[2] +'\n'+ preferences.stationDataPref1.value.split('|')[3] +'\n'+ preferences.stationDataPref1.value.split('|')[4] + '\n';
		var saveSettings2 = preferences.stationDataPref2.value.split('|')[0] +'\n'+ preferences.stationDataPref2.value.split('|')[1] +'\n'+ preferences.stationDataPref2.value.split('|')[2] +'\n'+ preferences.stationDataPref2.value.split('|')[3] +'\n'+ preferences.stationDataPref2.value.split('|')[4] + '\n';
		var saveSettings3 = preferences.stationDataPref3.value.split('|')[0] +'\n'+ preferences.stationDataPref3.value.split('|')[1] +'\n'+ preferences.stationDataPref3.value.split('|')[2] +'\n'+ preferences.stationDataPref3.value.split('|')[3] +'\n'+ preferences.stationDataPref3.value.split('|')[4] + '\n';
		var saveSettings4 = preferences.stationDataPref4.value.split('|')[0] +'\n'+ preferences.stationDataPref4.value.split('|')[1] +'\n'+ preferences.stationDataPref4.value.split('|')[2] +'\n'+ preferences.stationDataPref4.value.split('|')[3] +'\n'+ preferences.stationDataPref4.value.split('|')[4] + '\n';
		var saveSettings5 = preferences.stationDataPref5.value.split('|')[0] +'\n'+ preferences.stationDataPref5.value.split('|')[1] +'\n'+ preferences.stationDataPref5.value.split('|')[2] +'\n'+ preferences.stationDataPref5.value.split('|')[3] +'\n'+ preferences.stationDataPref5.value.split('|')[4] + '\n';
		var saveSettings6 = preferences.stationDataPref6.value.split('|')[0] +'\n'+ preferences.stationDataPref6.value.split('|')[1] +'\n'+ preferences.stationDataPref6.value.split('|')[2] +'\n'+ preferences.stationDataPref6.value.split('|')[3] +'\n'+ preferences.stationDataPref6.value.split('|')[4] + '\n';
		var saveSettings7 = preferences.stationDataPref7.value.split('|')[0] +'\n'+ preferences.stationDataPref7.value.split('|')[1] +'\n'+ preferences.stationDataPref7.value.split('|')[2] +'\n'+ preferences.stationDataPref7.value.split('|')[3] +'\n'+ preferences.stationDataPref7.value.split('|')[4] + '\n';
		var saveSettings8 = preferences.stationDataPref8.value.split('|')[0] +'\n'+ preferences.stationDataPref8.value.split('|')[1] +'\n'+ preferences.stationDataPref8.value.split('|')[2] +'\n'+ preferences.stationDataPref8.value.split('|')[3] +'\n'+ preferences.stationDataPref8.value.split('|')[4] + '\n';
		var saveSettings9 = preferences.stationDataPref9.value.split('|')[0] +'\n'+ preferences.stationDataPref9.value.split('|')[1] +'\n'+ preferences.stationDataPref9.value.split('|')[2] +'\n'+ preferences.stationDataPref9.value.split('|')[3] +'\n'+ preferences.stationDataPref9.value.split('|')[4] + '\n';
		var saveSettings10 = preferences.stationDataPref10.value.split('|')[0] +'\n'+ preferences.stationDataPref10.value.split('|')[1] +'\n'+ preferences.stationDataPref10.value.split('|')[2] +'\n'+ preferences.stationDataPref10.value.split('|')[3] +'\n'+ preferences.stationDataPref10.value.split('|')[4] + '\n';
		var saveSettings11 = preferences.stationDataPref11.value.split('|')[0] +'\n'+ preferences.stationDataPref11.value.split('|')[1] +'\n'+ preferences.stationDataPref11.value.split('|')[2] +'\n'+ preferences.stationDataPref11.value.split('|')[3] +'\n'+ preferences.stationDataPref11.value.split('|')[4] + '\n';
		var saveSettings12 = preferences.stationDataPref12.value.split('|')[0] +'\n'+ preferences.stationDataPref12.value.split('|')[1] +'\n'+ preferences.stationDataPref12.value.split('|')[2] +'\n'+ preferences.stationDataPref12.value.split('|')[3] +'\n'+ preferences.stationDataPref12.value.split('|')[4] + '\n';
		var saveSettings13 = preferences.stationDataPref13.value.split('|')[0] +'\n'+ preferences.stationDataPref13.value.split('|')[1] +'\n'+ preferences.stationDataPref13.value.split('|')[2] +'\n'+ preferences.stationDataPref13.value.split('|')[3] +'\n'+ preferences.stationDataPref13.value.split('|')[4] + '\n';
		var saveSettings14 = preferences.stationDataPref14.value.split('|')[0] +'\n'+ preferences.stationDataPref14.value.split('|')[1] +'\n'+ preferences.stationDataPref14.value.split('|')[2] +'\n'+ preferences.stationDataPref14.value.split('|')[3] +'\n'+ preferences.stationDataPref14.value.split('|')[4] + '\n';
		var saveSettings15 = preferences.stationDataPref15.value.split('|')[0] +'\n'+ preferences.stationDataPref15.value.split('|')[1] +'\n'+ preferences.stationDataPref15.value.split('|')[2] +'\n'+ preferences.stationDataPref15.value.split('|')[3] +'\n'+ preferences.stationDataPref15.value.split('|')[4] + '\n';
		var saveSettings16 = preferences.stationDataPref16.value.split('|')[0] +'\n'+ preferences.stationDataPref16.value.split('|')[1] +'\n'+ preferences.stationDataPref16.value.split('|')[2] +'\n'+ preferences.stationDataPref16.value.split('|')[3] +'\n'+ preferences.stationDataPref16.value.split('|')[4] + '\n';
		var saveSettings17 = preferences.stationDataPref17.value.split('|')[0] +'\n'+ preferences.stationDataPref17.value.split('|')[1] +'\n'+ preferences.stationDataPref17.value.split('|')[2] +'\n'+ preferences.stationDataPref17.value.split('|')[3] +'\n'+ preferences.stationDataPref17.value.split('|')[4] + '\n';
		var saveSettings18 = preferences.stationDataPref18.value.split('|')[0] +'\n'+ preferences.stationDataPref18.value.split('|')[1] +'\n'+ preferences.stationDataPref18.value.split('|')[2] +'\n'+ preferences.stationDataPref18.value.split('|')[3] +'\n'+ preferences.stationDataPref18.value.split('|')[4] + '\n';
		var saveSettings19 = preferences.stationDataPref19.value.split('|')[0] +'\n'+ preferences.stationDataPref19.value.split('|')[1] +'\n'+ preferences.stationDataPref19.value.split('|')[2] +'\n'+ preferences.stationDataPref19.value.split('|')[3] +'\n'+ preferences.stationDataPref19.value.split('|')[4] + '\n';
		var saveSettings20 = preferences.stationDataPref20.value.split('|')[0] +'\n'+ preferences.stationDataPref20.value.split('|')[1] +'\n'+ preferences.stationDataPref20.value.split('|')[2] +'\n'+ preferences.stationDataPref20.value.split('|')[3] +'\n'+ preferences.stationDataPref20.value.split('|')[4] + '\n';
		var saveSettings21 = preferences.stationDataPref21.value.split('|')[0] +'\n'+ preferences.stationDataPref21.value.split('|')[1] +'\n'+ preferences.stationDataPref21.value.split('|')[2] +'\n'+ preferences.stationDataPref21.value.split('|')[3] +'\n'+ preferences.stationDataPref21.value.split('|')[4] + '\n';
		var saveSettings22 = preferences.stationDataPref22.value.split('|')[0] +'\n'+ preferences.stationDataPref22.value.split('|')[1] +'\n'+ preferences.stationDataPref22.value.split('|')[2] +'\n'+ preferences.stationDataPref22.value.split('|')[3] +'\n'+ preferences.stationDataPref22.value.split('|')[4] + '\n';
		var saveSettings23 = preferences.stationDataPref23.value.split('|')[0] +'\n'+ preferences.stationDataPref23.value.split('|')[1] +'\n'+ preferences.stationDataPref23.value.split('|')[2] +'\n'+ preferences.stationDataPref23.value.split('|')[3] +'\n'+ preferences.stationDataPref23.value.split('|')[4] + '\n';
		var saveSettings24 = preferences.stationDataPref24.value.split('|')[0] +'\n'+ preferences.stationDataPref24.value.split('|')[1] +'\n'+ preferences.stationDataPref24.value.split('|')[2] +'\n'+ preferences.stationDataPref24.value.split('|')[3] +'\n'+ preferences.stationDataPref24.value.split('|')[4] + '\n';
		var saveSettings25 = preferences.stationDataPref25.value.split('|')[0] +'\n'+ preferences.stationDataPref25.value.split('|')[1] +'\n'+ preferences.stationDataPref25.value.split('|')[2] +'\n'+ preferences.stationDataPref25.value.split('|')[3] +'\n'+ preferences.stationDataPref25.value.split('|')[4] + '\n';
		var saveSettings26 = preferences.stationDataPref26.value.split('|')[0] +'\n'+ preferences.stationDataPref26.value.split('|')[1] +'\n'+ preferences.stationDataPref26.value.split('|')[2] +'\n'+ preferences.stationDataPref26.value.split('|')[3] +'\n'+ preferences.stationDataPref26.value.split('|')[4] + '\n';
		var saveSettings27 = preferences.stationDataPref27.value.split('|')[0] +'\n'+ preferences.stationDataPref27.value.split('|')[1] +'\n'+ preferences.stationDataPref27.value.split('|')[2] +'\n'+ preferences.stationDataPref27.value.split('|')[3] +'\n'+ preferences.stationDataPref27.value.split('|')[4] + '\n';
		var saveSettings28 = preferences.stationDataPref28.value.split('|')[0] +'\n'+ preferences.stationDataPref28.value.split('|')[1] +'\n'+ preferences.stationDataPref28.value.split('|')[2] +'\n'+ preferences.stationDataPref28.value.split('|')[3] +'\n'+ preferences.stationDataPref28.value.split('|')[4] + '\n';
		var saveSettings29 = preferences.stationDataPref29.value.split('|')[0] +'\n'+ preferences.stationDataPref29.value.split('|')[1] +'\n'+ preferences.stationDataPref29.value.split('|')[2] +'\n'+ preferences.stationDataPref29.value.split('|')[3] +'\n'+ preferences.stationDataPref29.value.split('|')[4] + '\n';
		var saveSettings30 = preferences.stationDataPref30.value.split('|')[0] +'\n'+ preferences.stationDataPref30.value.split('|')[1] +'\n'+ preferences.stationDataPref30.value.split('|')[2] +'\n'+ preferences.stationDataPref30.value.split('|')[3] +'\n'+ preferences.stationDataPref30.value.split('|')[4] + '\n';
		var saveSettings31 = preferences.stationDataPref31.value.split('|')[0] +'\n'+ preferences.stationDataPref31.value.split('|')[1] +'\n'+ preferences.stationDataPref31.value.split('|')[2] +'\n'+ preferences.stationDataPref31.value.split('|')[3] +'\n'+ preferences.stationDataPref31.value.split('|')[4] + '\n';
		var saveSettings32 = preferences.stationDataPref32.value.split('|')[0] +'\n'+ preferences.stationDataPref32.value.split('|')[1] +'\n'+ preferences.stationDataPref32.value.split('|')[2] +'\n'+ preferences.stationDataPref32.value.split('|')[3] +'\n'+ preferences.stationDataPref32.value.split('|')[4] + '\n';
		var saveSettings33 = preferences.stationDataPref33.value.split('|')[0] +'\n'+ preferences.stationDataPref33.value.split('|')[1] +'\n'+ preferences.stationDataPref33.value.split('|')[2] +'\n'+ preferences.stationDataPref33.value.split('|')[3] +'\n'+ preferences.stationDataPref33.value.split('|')[4] + '\n';
		var saveSettings34 = preferences.stationDataPref34.value.split('|')[0] +'\n'+ preferences.stationDataPref34.value.split('|')[1] +'\n'+ preferences.stationDataPref34.value.split('|')[2] +'\n'+ preferences.stationDataPref34.value.split('|')[3] +'\n'+ preferences.stationDataPref34.value.split('|')[4] + '\n';
		var saveSettings35 = preferences.stationDataPref35.value.split('|')[0] +'\n'+ preferences.stationDataPref35.value.split('|')[1] +'\n'+ preferences.stationDataPref35.value.split('|')[2] +'\n'+ preferences.stationDataPref35.value.split('|')[3] +'\n'+ preferences.stationDataPref35.value.split('|')[4] + '\n';
		var saveSettings36 = preferences.stationDataPref36.value.split('|')[0] +'\n'+ preferences.stationDataPref36.value.split('|')[1] +'\n'+ preferences.stationDataPref36.value.split('|')[2] +'\n'+ preferences.stationDataPref36.value.split('|')[3] +'\n'+ preferences.stationDataPref36.value.split('|')[4] + '\n';
		var saveSettings37 = preferences.stationDataPref37.value.split('|')[0] +'\n'+ preferences.stationDataPref37.value.split('|')[1] +'\n'+ preferences.stationDataPref37.value.split('|')[2] +'\n'+ preferences.stationDataPref37.value.split('|')[3] +'\n'+ preferences.stationDataPref37.value.split('|')[4] + '\n';
		var saveSettings38 = preferences.stationDataPref38.value.split('|')[0] +'\n'+ preferences.stationDataPref38.value.split('|')[1] +'\n'+ preferences.stationDataPref38.value.split('|')[2] +'\n'+ preferences.stationDataPref38.value.split('|')[3] +'\n'+ preferences.stationDataPref38.value.split('|')[4] + '\n';
		var saveSettings39 = preferences.stationDataPref39.value.split('|')[0] +'\n'+ preferences.stationDataPref39.value.split('|')[1] +'\n'+ preferences.stationDataPref39.value.split('|')[2] +'\n'+ preferences.stationDataPref39.value.split('|')[3] +'\n'+ preferences.stationDataPref39.value.split('|')[4] + '\n';
		var saveSettings40 = preferences.stationDataPref40.value.split('|')[0] +'\n'+ preferences.stationDataPref40.value.split('|')[1] +'\n'+ preferences.stationDataPref40.value.split('|')[2] +'\n'+ preferences.stationDataPref40.value.split('|')[3] +'\n'+ preferences.stationDataPref40.value.split('|')[4] + '\n';
		var saveSettings41 = preferences.stationDataPref41.value.split('|')[0] +'\n'+ preferences.stationDataPref41.value.split('|')[1] +'\n'+ preferences.stationDataPref41.value.split('|')[2] +'\n'+ preferences.stationDataPref41.value.split('|')[3] +'\n'+ preferences.stationDataPref41.value.split('|')[4] + '\n';
		var saveSettings42 = preferences.stationDataPref42.value.split('|')[0] +'\n'+ preferences.stationDataPref42.value.split('|')[1] +'\n'+ preferences.stationDataPref42.value.split('|')[2] +'\n'+ preferences.stationDataPref42.value.split('|')[3] +'\n'+ preferences.stationDataPref42.value.split('|')[4] + '\n';
		var saveSettings43 = preferences.stationDataPref43.value.split('|')[0] +'\n'+ preferences.stationDataPref43.value.split('|')[1] +'\n'+ preferences.stationDataPref43.value.split('|')[2] +'\n'+ preferences.stationDataPref43.value.split('|')[3] +'\n'+ preferences.stationDataPref43.value.split('|')[4] + '\n';
		var saveSettings44 = preferences.stationDataPref44.value.split('|')[0] +'\n'+ preferences.stationDataPref44.value.split('|')[1] +'\n'+ preferences.stationDataPref44.value.split('|')[2] +'\n'+ preferences.stationDataPref44.value.split('|')[3] +'\n'+ preferences.stationDataPref44.value.split('|')[4] + '\n';
		var saveSettings45 = preferences.stationDataPref45.value.split('|')[0] +'\n'+ preferences.stationDataPref45.value.split('|')[1] +'\n'+ preferences.stationDataPref45.value.split('|')[2] +'\n'+ preferences.stationDataPref45.value.split('|')[3] +'\n'+ preferences.stationDataPref45.value.split('|')[4] + '\n';
		var saveSettings46 = preferences.stationDataPref46.value.split('|')[0] +'\n'+ preferences.stationDataPref46.value.split('|')[1] +'\n'+ preferences.stationDataPref46.value.split('|')[2] +'\n'+ preferences.stationDataPref46.value.split('|')[3] +'\n'+ preferences.stationDataPref46.value.split('|')[4] + '\n';
		var saveSettings47 = preferences.stationDataPref47.value.split('|')[0] +'\n'+ preferences.stationDataPref47.value.split('|')[1] +'\n'+ preferences.stationDataPref47.value.split('|')[2] +'\n'+ preferences.stationDataPref47.value.split('|')[3] +'\n'+ preferences.stationDataPref47.value.split('|')[4] + '\n';
		var saveSettings48 = preferences.stationDataPref48.value.split('|')[0] +'\n'+ preferences.stationDataPref48.value.split('|')[1] +'\n'+ preferences.stationDataPref48.value.split('|')[2] +'\n'+ preferences.stationDataPref48.value.split('|')[3] +'\n'+ preferences.stationDataPref48.value.split('|')[4] + '\n';
		var saveSettings49 = preferences.stationDataPref49.value.split('|')[0] +'\n'+ preferences.stationDataPref49.value.split('|')[1] +'\n'+ preferences.stationDataPref49.value.split('|')[2] +'\n'+ preferences.stationDataPref49.value.split('|')[3] +'\n'+ preferences.stationDataPref49.value.split('|')[4] + '\n';
		var saveSettings50 = preferences.stationDataPref50.value.split('|')[0] +'\n'+ preferences.stationDataPref50.value.split('|')[1] +'\n'+ preferences.stationDataPref50.value.split('|')[2] +'\n'+ preferences.stationDataPref50.value.split('|')[3] +'\n'+ preferences.stationDataPref50.value.split('|')[4] + '\n';
		var saveSettings51 = preferences.stationDataPref51.value.split('|')[0] +'\n'+ preferences.stationDataPref51.value.split('|')[1] +'\n'+ preferences.stationDataPref51.value.split('|')[2] +'\n'+ preferences.stationDataPref51.value.split('|')[3] +'\n'+ preferences.stationDataPref51.value.split('|')[4] + '\n';
		var saveSettings52 = preferences.stationDataPref52.value.split('|')[0] +'\n'+ preferences.stationDataPref52.value.split('|')[1] +'\n'+ preferences.stationDataPref52.value.split('|')[2] +'\n'+ preferences.stationDataPref52.value.split('|')[3] +'\n'+ preferences.stationDataPref52.value.split('|')[4] + '\n';
		var saveSettings53 = preferences.stationDataPref53.value.split('|')[0] +'\n'+ preferences.stationDataPref53.value.split('|')[1] +'\n'+ preferences.stationDataPref53.value.split('|')[2] +'\n'+ preferences.stationDataPref53.value.split('|')[3] +'\n'+ preferences.stationDataPref53.value.split('|')[4] + '\n';
		var saveSettings54 = preferences.stationDataPref54.value.split('|')[0] +'\n'+ preferences.stationDataPref54.value.split('|')[1] +'\n'+ preferences.stationDataPref54.value.split('|')[2] +'\n'+ preferences.stationDataPref54.value.split('|')[3] +'\n'+ preferences.stationDataPref54.value.split('|')[4] + '\n';
		var saveSettings55 = preferences.stationDataPref55.value.split('|')[0] +'\n'+ preferences.stationDataPref55.value.split('|')[1] +'\n'+ preferences.stationDataPref55.value.split('|')[2] +'\n'+ preferences.stationDataPref55.value.split('|')[3] +'\n'+ preferences.stationDataPref55.value.split('|')[4] + '\n';
		var saveSettings56 = preferences.stationDataPref56.value.split('|')[0] +'\n'+ preferences.stationDataPref56.value.split('|')[1] +'\n'+ preferences.stationDataPref56.value.split('|')[2] +'\n'+ preferences.stationDataPref56.value.split('|')[3] +'\n'+ preferences.stationDataPref56.value.split('|')[4] + '\n';
		var saveSettings57 = preferences.stationDataPref57.value.split('|')[0] +'\n'+ preferences.stationDataPref57.value.split('|')[1] +'\n'+ preferences.stationDataPref57.value.split('|')[2] +'\n'+ preferences.stationDataPref57.value.split('|')[3] +'\n'+ preferences.stationDataPref57.value.split('|')[4] + '\n';
		var saveSettings58 = preferences.stationDataPref58.value.split('|')[0] +'\n'+ preferences.stationDataPref58.value.split('|')[1] +'\n'+ preferences.stationDataPref58.value.split('|')[2] +'\n'+ preferences.stationDataPref58.value.split('|')[3] +'\n'+ preferences.stationDataPref58.value.split('|')[4] + '\n';
		var saveSettings59 = preferences.stationDataPref59.value.split('|')[0] +'\n'+ preferences.stationDataPref59.value.split('|')[1] +'\n'+ preferences.stationDataPref59.value.split('|')[2] +'\n'+ preferences.stationDataPref59.value.split('|')[3] +'\n'+ preferences.stationDataPref59.value.split('|')[4] + '\n';
		var saveSettings60 = preferences.stationDataPref60.value.split('|')[0] +'\n'+ preferences.stationDataPref60.value.split('|')[1] +'\n'+ preferences.stationDataPref50.value.split('|')[2] +'\n'+ preferences.stationDataPref60.value.split('|')[3] +'\n'+ preferences.stationDataPref50.value.split('|')[4] + '\n';
		var saveSettings61 = preferences.stationDataPref61.value.split('|')[0] +'\n'+ preferences.stationDataPref61.value.split('|')[1] +'\n'+ preferences.stationDataPref61.value.split('|')[2] +'\n'+ preferences.stationDataPref61.value.split('|')[3] +'\n'+ preferences.stationDataPref61.value.split('|')[4] + '\n';
		var saveSettings62 = preferences.stationDataPref62.value.split('|')[0] +'\n'+ preferences.stationDataPref62.value.split('|')[1] +'\n'+ preferences.stationDataPref62.value.split('|')[2] +'\n'+ preferences.stationDataPref62.value.split('|')[3] +'\n'+ preferences.stationDataPref62.value.split('|')[4] + '\n';
		var saveSettings63 = preferences.stationDataPref63.value.split('|')[0] +'\n'+ preferences.stationDataPref63.value.split('|')[1] +'\n'+ preferences.stationDataPref63.value.split('|')[2] +'\n'+ preferences.stationDataPref63.value.split('|')[3] +'\n'+ preferences.stationDataPref63.value.split('|')[4] + '\n';
		var saveSettings64 = preferences.stationDataPref64.value.split('|')[0] +'\n'+ preferences.stationDataPref64.value.split('|')[1] +'\n'+ preferences.stationDataPref64.value.split('|')[2] +'\n'+ preferences.stationDataPref64.value.split('|')[3] +'\n'+ preferences.stationDataPref64.value.split('|')[4] + '\n';
		var saveSettings65 = preferences.stationDataPref65.value.split('|')[0] +'\n'+ preferences.stationDataPref65.value.split('|')[1] +'\n'+ preferences.stationDataPref65.value.split('|')[2] +'\n'+ preferences.stationDataPref65.value.split('|')[3] +'\n'+ preferences.stationDataPref65.value.split('|')[4] + '\n';
		var saveSettings66 = preferences.stationDataPref66.value.split('|')[0] +'\n'+ preferences.stationDataPref66.value.split('|')[1] +'\n'+ preferences.stationDataPref66.value.split('|')[2] +'\n'+ preferences.stationDataPref66.value.split('|')[3] +'\n'+ preferences.stationDataPref66.value.split('|')[4] + '\n';
		var saveSettings67 = preferences.stationDataPref67.value.split('|')[0] +'\n'+ preferences.stationDataPref67.value.split('|')[1] +'\n'+ preferences.stationDataPref67.value.split('|')[2] +'\n'+ preferences.stationDataPref67.value.split('|')[3] +'\n'+ preferences.stationDataPref67.value.split('|')[4] + '\n';
		var saveSettings68 = preferences.stationDataPref68.value.split('|')[0] +'\n'+ preferences.stationDataPref68.value.split('|')[1] +'\n'+ preferences.stationDataPref68.value.split('|')[2] +'\n'+ preferences.stationDataPref68.value.split('|')[3] +'\n'+ preferences.stationDataPref68.value.split('|')[4] + '\n';
		var saveSettings69 = preferences.stationDataPref69.value.split('|')[0] +'\n'+ preferences.stationDataPref69.value.split('|')[1] +'\n'+ preferences.stationDataPref69.value.split('|')[2] +'\n'+ preferences.stationDataPref69.value.split('|')[3] +'\n'+ preferences.stationDataPref69.value.split('|')[4] + '\n';
		var saveSettings70 = preferences.stationDataPref70.value.split('|')[0] +'\n'+ preferences.stationDataPref70.value.split('|')[1] +'\n'+ preferences.stationDataPref70.value.split('|')[2] +'\n'+ preferences.stationDataPref70.value.split('|')[3] +'\n'+ preferences.stationDataPref70.value.split('|')[4] + '\n';
		var saveSettings71 = preferences.stationDataPref71.value.split('|')[0] +'\n'+ preferences.stationDataPref71.value.split('|')[1] +'\n'+ preferences.stationDataPref71.value.split('|')[2] +'\n'+ preferences.stationDataPref71.value.split('|')[3] +'\n'+ preferences.stationDataPref71.value.split('|')[4] + '\n';
		var saveSettings72 = preferences.stationDataPref72.value.split('|')[0] +'\n'+ preferences.stationDataPref72.value.split('|')[1] +'\n'+ preferences.stationDataPref72.value.split('|')[2] +'\n'+ preferences.stationDataPref72.value.split('|')[3] +'\n'+ preferences.stationDataPref72.value.split('|')[4] + '\n';
		var saveSettings73 = preferences.stationDataPref73.value.split('|')[0] +'\n'+ preferences.stationDataPref73.value.split('|')[1] +'\n'+ preferences.stationDataPref73.value.split('|')[2] +'\n'+ preferences.stationDataPref73.value.split('|')[3] +'\n'+ preferences.stationDataPref73.value.split('|')[4] + '\n';
		var saveSettings74 = preferences.stationDataPref74.value.split('|')[0] +'\n'+ preferences.stationDataPref74.value.split('|')[1] +'\n'+ preferences.stationDataPref74.value.split('|')[2] +'\n'+ preferences.stationDataPref74.value.split('|')[3] +'\n'+ preferences.stationDataPref74.value.split('|')[4] + '\n';
		var saveSettings75 = preferences.stationDataPref75.value.split('|')[0] +'\n'+ preferences.stationDataPref75.value.split('|')[1] +'\n'+ preferences.stationDataPref75.value.split('|')[2] +'\n'+ preferences.stationDataPref75.value.split('|')[3] +'\n'+ preferences.stationDataPref75.value.split('|')[4] + '\n';
		var saveSettings76 = preferences.stationDataPref76.value.split('|')[0] +'\n'+ preferences.stationDataPref76.value.split('|')[1] +'\n'+ preferences.stationDataPref76.value.split('|')[2] +'\n'+ preferences.stationDataPref76.value.split('|')[3] +'\n'+ preferences.stationDataPref76.value.split('|')[4] + '\n';
		var saveSettings77 = preferences.stationDataPref77.value.split('|')[0] +'\n'+ preferences.stationDataPref77.value.split('|')[1] +'\n'+ preferences.stationDataPref77.value.split('|')[2] +'\n'+ preferences.stationDataPref77.value.split('|')[3] +'\n'+ preferences.stationDataPref77.value.split('|')[4] + '\n';
		var saveSettings78 = preferences.stationDataPref78.value.split('|')[0] +'\n'+ preferences.stationDataPref78.value.split('|')[1] +'\n'+ preferences.stationDataPref78.value.split('|')[2] +'\n'+ preferences.stationDataPref78.value.split('|')[3] +'\n'+ preferences.stationDataPref78.value.split('|')[4] + '\n';
		var saveSettings79 = preferences.stationDataPref79.value.split('|')[0] +'\n'+ preferences.stationDataPref79.value.split('|')[1] +'\n'+ preferences.stationDataPref79.value.split('|')[2] +'\n'+ preferences.stationDataPref79.value.split('|')[3] +'\n'+ preferences.stationDataPref79.value.split('|')[4] + '\n';
		var saveSettings80 = preferences.stationDataPref80.value.split('|')[0] +'\n'+ preferences.stationDataPref80.value.split('|')[1] +'\n'+ preferences.stationDataPref80.value.split('|')[2] +'\n'+ preferences.stationDataPref80.value.split('|')[3] +'\n'+ preferences.stationDataPref80.value.split('|')[4] + '\n';
		var saveSettings81 = preferences.stationDataPref81.value.split('|')[0] +'\n'+ preferences.stationDataPref81.value.split('|')[1] +'\n'+ preferences.stationDataPref81.value.split('|')[2] +'\n'+ preferences.stationDataPref81.value.split('|')[3] +'\n'+ preferences.stationDataPref81.value.split('|')[4] + '\n';
		var saveSettings82 = preferences.stationDataPref82.value.split('|')[0] +'\n'+ preferences.stationDataPref82.value.split('|')[1] +'\n'+ preferences.stationDataPref82.value.split('|')[2] +'\n'+ preferences.stationDataPref82.value.split('|')[3] +'\n'+ preferences.stationDataPref82.value.split('|')[4] + '\n';
		var saveSettings83 = preferences.stationDataPref83.value.split('|')[0] +'\n'+ preferences.stationDataPref83.value.split('|')[1] +'\n'+ preferences.stationDataPref83.value.split('|')[2] +'\n'+ preferences.stationDataPref83.value.split('|')[3] +'\n'+ preferences.stationDataPref83.value.split('|')[4] + '\n';
		var saveSettings84 = preferences.stationDataPref84.value.split('|')[0] +'\n'+ preferences.stationDataPref84.value.split('|')[1] +'\n'+ preferences.stationDataPref84.value.split('|')[2] +'\n'+ preferences.stationDataPref84.value.split('|')[3] +'\n'+ preferences.stationDataPref84.value.split('|')[4] + '\n';
		var saveSettings85 = preferences.stationDataPref85.value.split('|')[0] +'\n'+ preferences.stationDataPref85.value.split('|')[1] +'\n'+ preferences.stationDataPref85.value.split('|')[2] +'\n'+ preferences.stationDataPref85.value.split('|')[3] +'\n'+ preferences.stationDataPref85.value.split('|')[4] + '\n';
		var saveSettings86 = preferences.stationDataPref86.value.split('|')[0] +'\n'+ preferences.stationDataPref86.value.split('|')[1] +'\n'+ preferences.stationDataPref86.value.split('|')[2] +'\n'+ preferences.stationDataPref86.value.split('|')[3] +'\n'+ preferences.stationDataPref86.value.split('|')[4] + '\n';
		var saveSettings87 = preferences.stationDataPref87.value.split('|')[0] +'\n'+ preferences.stationDataPref87.value.split('|')[1] +'\n'+ preferences.stationDataPref87.value.split('|')[2] +'\n'+ preferences.stationDataPref87.value.split('|')[3] +'\n'+ preferences.stationDataPref87.value.split('|')[4] + '\n';
		var saveSettings88 = preferences.stationDataPref88.value.split('|')[0] +'\n'+ preferences.stationDataPref88.value.split('|')[1] +'\n'+ preferences.stationDataPref88.value.split('|')[2] +'\n'+ preferences.stationDataPref88.value.split('|')[3] +'\n'+ preferences.stationDataPref88.value.split('|')[4] + '\n';
		var saveSettings89 = preferences.stationDataPref89.value.split('|')[0] +'\n'+ preferences.stationDataPref89.value.split('|')[1] +'\n'+ preferences.stationDataPref89.value.split('|')[2] +'\n'+ preferences.stationDataPref89.value.split('|')[3] +'\n'+ preferences.stationDataPref89.value.split('|')[4] + '\n';
		var saveSettings90 = preferences.stationDataPref90.value.split('|')[0] +'\n'+ preferences.stationDataPref90.value.split('|')[1] +'\n'+ preferences.stationDataPref90.value.split('|')[2] +'\n'+ preferences.stationDataPref90.value.split('|')[3] +'\n'+ preferences.stationDataPref90.value.split('|')[4] + '\n';
		var saveSettings91 = preferences.stationDataPref91.value.split('|')[0] +'\n'+ preferences.stationDataPref91.value.split('|')[1] +'\n'+ preferences.stationDataPref91.value.split('|')[2] +'\n'+ preferences.stationDataPref91.value.split('|')[3] +'\n'+ preferences.stationDataPref91.value.split('|')[4] + '\n';
		var saveSettings92 = preferences.stationDataPref92.value.split('|')[0] +'\n'+ preferences.stationDataPref92.value.split('|')[1] +'\n'+ preferences.stationDataPref92.value.split('|')[2] +'\n'+ preferences.stationDataPref92.value.split('|')[3] +'\n'+ preferences.stationDataPref92.value.split('|')[4] + '\n';
		var saveSettings93 = preferences.stationDataPref93.value.split('|')[0] +'\n'+ preferences.stationDataPref93.value.split('|')[1] +'\n'+ preferences.stationDataPref93.value.split('|')[2] +'\n'+ preferences.stationDataPref93.value.split('|')[3] +'\n'+ preferences.stationDataPref93.value.split('|')[4] + '\n';
		var saveSettings94 = preferences.stationDataPref94.value.split('|')[0] +'\n'+ preferences.stationDataPref94.value.split('|')[1] +'\n'+ preferences.stationDataPref94.value.split('|')[2] +'\n'+ preferences.stationDataPref94.value.split('|')[3] +'\n'+ preferences.stationDataPref94.value.split('|')[4] + '\n';
		var saveSettings95 = preferences.stationDataPref95.value.split('|')[0] +'\n'+ preferences.stationDataPref95.value.split('|')[1] +'\n'+ preferences.stationDataPref95.value.split('|')[2] +'\n'+ preferences.stationDataPref95.value.split('|')[3] +'\n'+ preferences.stationDataPref95.value.split('|')[4] + '\n';
		var saveSettings96 = preferences.stationDataPref96.value.split('|')[0] +'\n'+ preferences.stationDataPref96.value.split('|')[1] +'\n'+ preferences.stationDataPref96.value.split('|')[2] +'\n'+ preferences.stationDataPref96.value.split('|')[3] +'\n'+ preferences.stationDataPref96.value.split('|')[4] + '\n';
		var saveSettings97 = preferences.stationDataPref97.value.split('|')[0] +'\n'+ preferences.stationDataPref97.value.split('|')[1] +'\n'+ preferences.stationDataPref97.value.split('|')[2] +'\n'+ preferences.stationDataPref97.value.split('|')[3] +'\n'+ preferences.stationDataPref97.value.split('|')[4] + '\n';
		var saveSettings98 = preferences.stationDataPref98.value.split('|')[0] +'\n'+ preferences.stationDataPref98.value.split('|')[1] +'\n'+ preferences.stationDataPref98.value.split('|')[2] +'\n'+ preferences.stationDataPref98.value.split('|')[3] +'\n'+ preferences.stationDataPref98.value.split('|')[4] + '\n';
		var saveSettings99 = preferences.stationDataPref99.value.split('|')[0] +'\n'+ preferences.stationDataPref99.value.split('|')[1] +'\n'+ preferences.stationDataPref99.value.split('|')[2] +'\n'+ preferences.stationDataPref99.value.split('|')[3] +'\n'+ preferences.stationDataPref99.value.split('|')[4] + '\n';
		var saveSettings100 = preferences.stationDataPref100.value.split('|')[0] +'\n'+ preferences.stationDataPref100.value.split('|')[1] +'\n'+ preferences.stationDataPref100.value.split('|')[2] +'\n'+ preferences.stationDataPref100.value.split('|')[3] +'\n'+ preferences.stationDataPref100.value.split('|')[4] + '\n';
		
		destination = saveAs();
		if (destination != null) {
			filesystem.writeFile( destination, saveSettings1 + saveSettings2 + saveSettings3 + saveSettings4 + saveSettings5 + saveSettings6 + saveSettings7 + saveSettings8 + saveSettings9 + saveSettings10 + saveSettings11 + saveSettings12 + saveSettings13 + saveSettings14 + saveSettings15 + saveSettings16 + saveSettings17 + saveSettings18 + saveSettings19 + saveSettings20 + saveSettings21 + saveSettings22 + saveSettings23 + saveSettings24 + saveSettings25 + saveSettings26 + saveSettings27 + saveSettings28 + saveSettings29 + saveSettings30 + saveSettings31 + saveSettings32 + saveSettings33 + saveSettings34 + saveSettings35 + saveSettings36 + saveSettings37 + saveSettings38 + saveSettings39 + saveSettings40 + saveSettings41 + saveSettings42 + saveSettings43 + saveSettings44 + saveSettings45 + saveSettings46 + saveSettings47 + saveSettings48 + saveSettings49 + saveSettings50 + saveSettings51 + saveSettings52 + saveSettings53 + saveSettings54 + saveSettings55 + saveSettings56 + saveSettings57 + saveSettings58 + saveSettings59 + saveSettings60 + saveSettings61 + saveSettings62 + saveSettings63 + saveSettings64 + saveSettings65 + saveSettings66 + saveSettings67 + saveSettings68 + saveSettings69 + saveSettings70 + saveSettings71 + saveSettings72 + saveSettings73 + saveSettings74 + saveSettings75 + saveSettings76 + saveSettings77 + saveSettings78 + saveSettings79 + saveSettings80 + saveSettings81 + saveSettings82 + saveSettings83 + saveSettings84 + saveSettings85 + saveSettings86 + saveSettings87 + saveSettings88 + saveSettings89 + saveSettings90 + saveSettings91 + saveSettings92 + saveSettings93 + saveSettings94 + saveSettings95 + saveSettings96 + saveSettings97 + saveSettings98 + saveSettings99 + saveSettings100);
 
			alert("Radiostation preferences saved to: " + destination);
		}
		saveSettings1 = null;
		saveSettings2 = null;
		saveSettings3 = null;
		saveSettings4 = null;
		saveSettings5 = null;
		saveSettings6 = null;
		saveSettings7 = null;
		saveSettings8 = null;
		saveSettings9 = null;
		saveSettings10 = null;
		saveSettings11 = null;
		saveSettings12 = null;
		saveSettings13 = null;
		saveSettings14 = null;
		saveSettings15 = null;
		saveSettings16 = null;
		saveSettings17 = null;
		saveSettings18 = null;
		saveSettings19 = null;
		saveSettings20 = null;
		saveSettings31 = null;
		saveSettings32 = null;
		saveSettings33 = null;
		saveSettings34 = null;
		saveSettings35 = null;
		saveSettings36 = null;
		saveSettings37 = null;
		saveSettings38 = null;
		saveSettings39 = null;
		saveSettings40 = null;
		saveSettings41 = null;
		saveSettings42 = null;
		saveSettings43 = null;
		saveSettings44 = null;
		saveSettings45 = null;
		saveSettings46 = null;
		saveSettings47 = null;
		saveSettings48 = null;
		saveSettings49 = null;
		saveSettings50 = null;
		saveSettings51 = null;
		saveSettings52 = null;
		saveSettings53 = null;
		saveSettings54 = null;
		saveSettings55 = null;
		saveSettings56 = null;
		saveSettings57 = null;
		saveSettings58 = null;
		saveSettings59 = null;
		saveSettings60 = null;
		saveSettings61 = null;
		saveSettings62 = null;
		saveSettings63 = null;
		saveSettings64 = null;
		saveSettings65 = null;
		saveSettings66 = null;
		saveSettings67 = null;
		saveSettings68 = null;
		saveSettings69 = null;
		saveSettings70 = null;
		saveSettings71 = null;
		saveSettings72 = null;
		saveSettings73 = null;
		saveSettings74 = null;
		saveSettings75 = null;
		saveSettings76 = null;
		saveSettings77 = null;
		saveSettings78 = null;
		saveSettings79 = null;
		saveSettings80 = null;
		saveSettings81 = null;
		saveSettings82 = null;
		saveSettings83 = null;
		saveSettings84 = null;
		saveSettings85 = null;
		saveSettings86 = null;
		saveSettings87 = null;
		saveSettings88 = null;
		saveSettings89 = null;
		saveSettings90 = null;
		saveSettings91 = null;
		saveSettings92 = null;
		saveSettings93 = null;
		saveSettings94 = null;
		saveSettings95 = null;
		saveSettings96 = null;
		saveSettings97 = null;
		saveSettings98 = null;
		saveSettings99 = null;
		saveSettings100 = null;
}

//LOAD SETTINGS FROM FILE
	function loadSettingsFromFile(passedData) {
			
			loadedData = passedData;
			
			preferences.stationDataPref1.value = loadedData[0] + "|" + loadedData[1] + "|" + loadedData[2] + "|" + loadedData[3] + "|" + loadedData[4];
			preferences.stationDataPref2.value = loadedData[5] + "|" + loadedData[6] + "|" + loadedData[7] + "|" + loadedData[8] + "|" + loadedData[9];
			preferences.stationDataPref3.value = loadedData[10] + "|" + loadedData[11] + "|" + loadedData[12] + "|" + loadedData[13] + "|" + loadedData[14];
			preferences.stationDataPref4.value = loadedData[15] + "|" + loadedData[16] + "|" + loadedData[17] + "|" + loadedData[18] + "|" + loadedData[19];
			preferences.stationDataPref5.value = loadedData[20] + "|" + loadedData[21] + "|" + loadedData[22] + "|" + loadedData[23] + "|" + loadedData[24];
			preferences.stationDataPref6.value = loadedData[25] + "|" + loadedData[26] + "|" + loadedData[27] + "|" + loadedData[28] + "|" + loadedData[29];
			preferences.stationDataPref7.value = loadedData[30] + "|" + loadedData[31] + "|" + loadedData[32] + "|" + loadedData[33] + "|" + loadedData[34];
			preferences.stationDataPref8.value = loadedData[35] + "|" + loadedData[36] + "|" + loadedData[37] + "|" + loadedData[38] + "|" + loadedData[39];
			preferences.stationDataPref9.value = loadedData[40] + "|" + loadedData[41] + "|" + loadedData[42] + "|" + loadedData[43] + "|" + loadedData[44];
			preferences.stationDataPref10.value = loadedData[45] + "|" + loadedData[46] + "|" + loadedData[47] + "|" + loadedData[48] + "|" + loadedData[49];
			preferences.stationDataPref11.value = loadedData[50] + "|" + loadedData[51] + "|" + loadedData[52] + "|" + loadedData[53] + "|" + loadedData[54];
			preferences.stationDataPref12.value = loadedData[55] + "|" + loadedData[56] + "|" + loadedData[57] + "|" + loadedData[58] + "|" + loadedData[59];
			preferences.stationDataPref13.value = loadedData[60] + "|" + loadedData[61] + "|" + loadedData[62] + "|" + loadedData[63] + "|" + loadedData[64];
			preferences.stationDataPref14.value = loadedData[65] + "|" + loadedData[66] + "|" + loadedData[67] + "|" + loadedData[68] + "|" + loadedData[69];
			preferences.stationDataPref15.value = loadedData[70] + "|" + loadedData[71] + "|" + loadedData[72] + "|" + loadedData[73] + "|" + loadedData[74];
			preferences.stationDataPref16.value = loadedData[75] + "|" + loadedData[76] + "|" + loadedData[77] + "|" + loadedData[78] + "|" + loadedData[79];
			preferences.stationDataPref17.value = loadedData[80] + "|" + loadedData[81] + "|" + loadedData[82] + "|" + loadedData[83] + "|" + loadedData[84];
			preferences.stationDataPref18.value = loadedData[85] + "|" + loadedData[86] + "|" + loadedData[87] + "|" + loadedData[88] + "|" + loadedData[89];
			preferences.stationDataPref19.value = loadedData[90] + "|" + loadedData[91] + "|" + loadedData[92] + "|" + loadedData[93] + "|" + loadedData[94];
			preferences.stationDataPref20.value = loadedData[95] + "|" + loadedData[96] + "|" + loadedData[97] + "|" + loadedData[98] + "|" + loadedData[99];
			preferences.stationDataPref21.value = loadedData[100] + "|" + loadedData[101] + "|" + loadedData[102] + "|" + loadedData[103] + "|" + loadedData[104];
			preferences.stationDataPref22.value = loadedData[105] + "|" + loadedData[106] + "|" + loadedData[107] + "|" + loadedData[108] + "|" + loadedData[109];
			preferences.stationDataPref23.value = loadedData[110] + "|" + loadedData[111] + "|" + loadedData[112] + "|" + loadedData[113] + "|" + loadedData[114];
			preferences.stationDataPref24.value = loadedData[115] + "|" + loadedData[116] + "|" + loadedData[117] + "|" + loadedData[118] + "|" + loadedData[119];
			preferences.stationDataPref25.value = loadedData[120] + "|" + loadedData[121] + "|" + loadedData[122] + "|" + loadedData[123] + "|" + loadedData[124];
			preferences.stationDataPref26.value = loadedData[125] + "|" + loadedData[126] + "|" + loadedData[127] + "|" + loadedData[128] + "|" + loadedData[129];
			preferences.stationDataPref27.value = loadedData[130] + "|" + loadedData[131] + "|" + loadedData[132] + "|" + loadedData[133] + "|" + loadedData[134];
			preferences.stationDataPref28.value = loadedData[135] + "|" + loadedData[136] + "|" + loadedData[137] + "|" + loadedData[138] + "|" + loadedData[139];
			preferences.stationDataPref29.value = loadedData[140] + "|" + loadedData[141] + "|" + loadedData[142] + "|" + loadedData[143] + "|" + loadedData[144];
			preferences.stationDataPref30.value = loadedData[145] + "|" + loadedData[146] + "|" + loadedData[147] + "|" + loadedData[148] + "|" + loadedData[149];
			preferences.stationDataPref31.value = loadedData[150] + "|" + loadedData[151] + "|" + loadedData[152] + "|" + loadedData[153] + "|" + loadedData[154];
			preferences.stationDataPref32.value = loadedData[155] + "|" + loadedData[156] + "|" + loadedData[157] + "|" + loadedData[158] + "|" + loadedData[159];
			preferences.stationDataPref33.value = loadedData[160] + "|" + loadedData[161] + "|" + loadedData[162] + "|" + loadedData[163] + "|" + loadedData[164];
			preferences.stationDataPref34.value = loadedData[165] + "|" + loadedData[166] + "|" + loadedData[167] + "|" + loadedData[168] + "|" + loadedData[169];
			preferences.stationDataPref35.value = loadedData[170] + "|" + loadedData[171] + "|" + loadedData[172] + "|" + loadedData[173] + "|" + loadedData[174];
			preferences.stationDataPref36.value = loadedData[175] + "|" + loadedData[176] + "|" + loadedData[177] + "|" + loadedData[178] + "|" + loadedData[179];
			preferences.stationDataPref37.value = loadedData[180] + "|" + loadedData[181] + "|" + loadedData[182] + "|" + loadedData[183] + "|" + loadedData[184];
			preferences.stationDataPref38.value = loadedData[185] + "|" + loadedData[186] + "|" + loadedData[187] + "|" + loadedData[188] + "|" + loadedData[189];
			preferences.stationDataPref39.value = loadedData[190] + "|" + loadedData[191] + "|" + loadedData[192] + "|" + loadedData[193] + "|" + loadedData[194];
			preferences.stationDataPref40.value = loadedData[195] + "|" + loadedData[196] + "|" + loadedData[197] + "|" + loadedData[198] + "|" + loadedData[199];
			preferences.stationDataPref41.value = loadedData[200] + "|" + loadedData[201] + "|" + loadedData[202] + "|" + loadedData[203] + "|" + loadedData[204];
			preferences.stationDataPref42.value = loadedData[205] + "|" + loadedData[206] + "|" + loadedData[207] + "|" + loadedData[208] + "|" + loadedData[209];
			preferences.stationDataPref43.value = loadedData[210] + "|" + loadedData[211] + "|" + loadedData[212] + "|" + loadedData[213] + "|" + loadedData[214];
			preferences.stationDataPref44.value = loadedData[215] + "|" + loadedData[216] + "|" + loadedData[217] + "|" + loadedData[218] + "|" + loadedData[219];
			preferences.stationDataPref45.value = loadedData[220] + "|" + loadedData[221] + "|" + loadedData[222] + "|" + loadedData[223] + "|" + loadedData[224];
			preferences.stationDataPref46.value = loadedData[225] + "|" + loadedData[226] + "|" + loadedData[227] + "|" + loadedData[228] + "|" + loadedData[229];
			preferences.stationDataPref47.value = loadedData[230] + "|" + loadedData[231] + "|" + loadedData[232] + "|" + loadedData[233] + "|" + loadedData[234];
			preferences.stationDataPref48.value = loadedData[235] + "|" + loadedData[236] + "|" + loadedData[237] + "|" + loadedData[238] + "|" + loadedData[239];
			preferences.stationDataPref49.value = loadedData[240] + "|" + loadedData[241] + "|" + loadedData[242] + "|" + loadedData[243] + "|" + loadedData[244];
			preferences.stationDataPref50.value = loadedData[245] + "|" + loadedData[246] + "|" + loadedData[247] + "|" + loadedData[248] + "|" + loadedData[249];
			preferences.stationDataPref51.value = loadedData[250] + "|" + loadedData[251] + "|" + loadedData[252] + "|" + loadedData[253] + "|" + loadedData[254];
			preferences.stationDataPref52.value = loadedData[255] + "|" + loadedData[256] + "|" + loadedData[257] + "|" + loadedData[258] + "|" + loadedData[259];
			preferences.stationDataPref53.value = loadedData[260] + "|" + loadedData[261] + "|" + loadedData[262] + "|" + loadedData[263] + "|" + loadedData[264];
			preferences.stationDataPref54.value = loadedData[265] + "|" + loadedData[266] + "|" + loadedData[267] + "|" + loadedData[268] + "|" + loadedData[269];
			preferences.stationDataPref55.value = loadedData[270] + "|" + loadedData[271] + "|" + loadedData[272] + "|" + loadedData[273] + "|" + loadedData[274];
			preferences.stationDataPref56.value = loadedData[275] + "|" + loadedData[276] + "|" + loadedData[277] + "|" + loadedData[278] + "|" + loadedData[279];
			preferences.stationDataPref57.value = loadedData[280] + "|" + loadedData[281] + "|" + loadedData[282] + "|" + loadedData[283] + "|" + loadedData[284];
			preferences.stationDataPref58.value = loadedData[285] + "|" + loadedData[286] + "|" + loadedData[287] + "|" + loadedData[288] + "|" + loadedData[289];
			preferences.stationDataPref59.value = loadedData[290] + "|" + loadedData[291] + "|" + loadedData[292] + "|" + loadedData[293] + "|" + loadedData[294];
			preferences.stationDataPref60.value = loadedData[295] + "|" + loadedData[296] + "|" + loadedData[297] + "|" + loadedData[298] + "|" + loadedData[299];
			preferences.stationDataPref61.value = loadedData[300] + "|" + loadedData[301] + "|" + loadedData[302] + "|" + loadedData[303] + "|" + loadedData[304];
			preferences.stationDataPref62.value = loadedData[305] + "|" + loadedData[306] + "|" + loadedData[307] + "|" + loadedData[308] + "|" + loadedData[309];
			preferences.stationDataPref63.value = loadedData[310] + "|" + loadedData[311] + "|" + loadedData[312] + "|" + loadedData[313] + "|" + loadedData[314];
			preferences.stationDataPref64.value = loadedData[315] + "|" + loadedData[316] + "|" + loadedData[317] + "|" + loadedData[318] + "|" + loadedData[319];
			preferences.stationDataPref65.value = loadedData[320] + "|" + loadedData[321] + "|" + loadedData[322] + "|" + loadedData[323] + "|" + loadedData[324];
			preferences.stationDataPref66.value = loadedData[325] + "|" + loadedData[326] + "|" + loadedData[327] + "|" + loadedData[328] + "|" + loadedData[329];
			preferences.stationDataPref67.value = loadedData[330] + "|" + loadedData[331] + "|" + loadedData[332] + "|" + loadedData[333] + "|" + loadedData[334];
			preferences.stationDataPref68.value = loadedData[335] + "|" + loadedData[336] + "|" + loadedData[37] + "|" + loadedData[338] + "|" + loadedData[339];
			preferences.stationDataPref69.value = loadedData[340] + "|" + loadedData[341] + "|" + loadedData[342] + "|" + loadedData[343] + "|" + loadedData[344];
			preferences.stationDataPref70.value = loadedData[345] + "|" + loadedData[346] + "|" + loadedData[347] + "|" + loadedData[348] + "|" + loadedData[349];
			preferences.stationDataPref71.value = loadedData[350] + "|" + loadedData[351] + "|" + loadedData[352] + "|" + loadedData[353] + "|" + loadedData[354];
			preferences.stationDataPref72.value = loadedData[355] + "|" + loadedData[356] + "|" + loadedData[357] + "|" + loadedData[358] + "|" + loadedData[359];
			preferences.stationDataPref73.value = loadedData[360] + "|" + loadedData[361] + "|" + loadedData[362] + "|" + loadedData[363] + "|" + loadedData[364];
			preferences.stationDataPref74.value = loadedData[365] + "|" + loadedData[366] + "|" + loadedData[367] + "|" + loadedData[368] + "|" + loadedData[369];
			preferences.stationDataPref75.value = loadedData[370] + "|" + loadedData[371] + "|" + loadedData[372] + "|" + loadedData[373] + "|" + loadedData[374];
			preferences.stationDataPref76.value = loadedData[375] + "|" + loadedData[376] + "|" + loadedData[377] + "|" + loadedData[378] + "|" + loadedData[379];
			preferences.stationDataPref77.value = loadedData[380] + "|" + loadedData[381] + "|" + loadedData[382] + "|" + loadedData[383] + "|" + loadedData[384];
			preferences.stationDataPref78.value = loadedData[385] + "|" + loadedData[386] + "|" + loadedData[387] + "|" + loadedData[388] + "|" + loadedData[389];
			preferences.stationDataPref79.value = loadedData[390] + "|" + loadedData[391] + "|" + loadedData[392] + "|" + loadedData[393] + "|" + loadedData[394];
			preferences.stationDataPref80.value = loadedData[395] + "|" + loadedData[396] + "|" + loadedData[397] + "|" + loadedData[398] + "|" + loadedData[399];
			preferences.stationDataPref81.value = loadedData[400] + "|" + loadedData[401] + "|" + loadedData[402] + "|" + loadedData[403] + "|" + loadedData[404];
			preferences.stationDataPref82.value = loadedData[405] + "|" + loadedData[406] + "|" + loadedData[407] + "|" + loadedData[408] + "|" + loadedData[409];
			preferences.stationDataPref83.value = loadedData[410] + "|" + loadedData[411] + "|" + loadedData[412] + "|" + loadedData[413] + "|" + loadedData[414];
			preferences.stationDataPref84.value = loadedData[415] + "|" + loadedData[416] + "|" + loadedData[417] + "|" + loadedData[418] + "|" + loadedData[419];
			preferences.stationDataPref85.value = loadedData[420] + "|" + loadedData[421] + "|" + loadedData[422] + "|" + loadedData[423] + "|" + loadedData[424];
			preferences.stationDataPref86.value = loadedData[425] + "|" + loadedData[426] + "|" + loadedData[427] + "|" + loadedData[428] + "|" + loadedData[429];
			preferences.stationDataPref87.value = loadedData[430] + "|" + loadedData[431] + "|" + loadedData[432] + "|" + loadedData[433] + "|" + loadedData[434];
			preferences.stationDataPref88.value = loadedData[435] + "|" + loadedData[436] + "|" + loadedData[437] + "|" + loadedData[438] + "|" + loadedData[439];
			preferences.stationDataPref89.value = loadedData[440] + "|" + loadedData[441] + "|" + loadedData[442] + "|" + loadedData[443] + "|" + loadedData[444];
			preferences.stationDataPref90.value = loadedData[445] + "|" + loadedData[446] + "|" + loadedData[447] + "|" + loadedData[448] + "|" + loadedData[449];
			preferences.stationDataPref91.value = loadedData[450] + "|" + loadedData[451] + "|" + loadedData[452] + "|" + loadedData[453] + "|" + loadedData[454];
			preferences.stationDataPref92.value = loadedData[455] + "|" + loadedData[456] + "|" + loadedData[457] + "|" + loadedData[458] + "|" + loadedData[459];
			preferences.stationDataPref93.value = loadedData[460] + "|" + loadedData[461] + "|" + loadedData[462] + "|" + loadedData[463] + "|" + loadedData[464];
			preferences.stationDataPref94.value = loadedData[465] + "|" + loadedData[466] + "|" + loadedData[467] + "|" + loadedData[468] + "|" + loadedData[469];
			preferences.stationDataPref95.value = loadedData[470] + "|" + loadedData[471] + "|" + loadedData[472] + "|" + loadedData[473] + "|" + loadedData[474];
			preferences.stationDataPref96.value = loadedData[475] + "|" + loadedData[476] + "|" + loadedData[477] + "|" + loadedData[478] + "|" + loadedData[479];
			preferences.stationDataPref97.value = loadedData[480] + "|" + loadedData[481] + "|" + loadedData[482] + "|" + loadedData[483] + "|" + loadedData[484];
			preferences.stationDataPref98.value = loadedData[485] + "|" + loadedData[486] + "|" + loadedData[487] + "|" + loadedData[488] + "|" + loadedData[489];
			preferences.stationDataPref99.value = loadedData[490] + "|" + loadedData[491] + "|" + loadedData[492] + "|" + loadedData[493] + "|" + loadedData[494];
			preferences.stationDataPref100.value = loadedData[495] + "|" + loadedData[496] + "|" + loadedData[497] + "|" + loadedData[498] + "|" + loadedData[499];
						
			savePreferences();
			switchStations();
			
			loadedData = null;
			alert("Radiostation preferences loaded from: " + source);
		
	}
	
//LOAD OLD SETTINGS FROM FILE
	function loadOldSettingsFromFile(passedData) {
		
		loadedData = passedData;
		
		var form1fields = Array();
	
		var slotPopup1 = new Array("Slot 1-20", "Slot 21-40", "Slot 41-60", "Slot 61-80", "Slot 81-100")
		var slotValPopup1 = new Array("1", "2", "3", "4", "5")

		form1fields[0] = new FormField();
		form1fields[0].name = 'slotpopup1';
		form1fields[0].type = 'popup';
		form1fields[0].title = 'Save loaded stations to:';
		form1fields[0].option = slotPopup1;
		form1fields[0].optionValue = slotValPopup1;
		form1fields[0].defaultValue = '1';
		form1fields[0].description = 'The loaded file contains 20 stations, choose in which slots you want them saved. All other slots will be left unchanged.';
	
		slotformResults = form(form1fields, 'Choose slots for loaded stations', 'Next', 'Cancel');
		
		if (slotformResults != null) {
			if (slotformResults == "1") {
				preferences.stationDataPref1.value = loadedData[0] + "|" + loadedData[1] + "|" + loadedData[2] + "|" + loadedData[3] + "|" + loadedData[4];
				preferences.stationDataPref2.value = loadedData[5] + "|" + loadedData[6] + "|" + loadedData[7] + "|" + loadedData[8] + "|" + loadedData[9];
				preferences.stationDataPref3.value = loadedData[10] + "|" + loadedData[11] + "|" + loadedData[12] + "|" + loadedData[13] + "|" + loadedData[14];
				preferences.stationDataPref4.value = loadedData[15] + "|" + loadedData[16] + "|" + loadedData[17] + "|" + loadedData[18] + "|" + loadedData[19];
				preferences.stationDataPref5.value = loadedData[20] + "|" + loadedData[21] + "|" + loadedData[22] + "|" + loadedData[23] + "|" + loadedData[24];
				preferences.stationDataPref6.value = loadedData[25] + "|" + loadedData[26] + "|" + loadedData[27] + "|" + loadedData[28] + "|" + loadedData[29];
				preferences.stationDataPref7.value = loadedData[30] + "|" + loadedData[31] + "|" + loadedData[32] + "|" + loadedData[33] + "|" + loadedData[34];
				preferences.stationDataPref8.value = loadedData[35] + "|" + loadedData[36] + "|" + loadedData[37] + "|" + loadedData[38] + "|" + loadedData[39];
				preferences.stationDataPref9.value = loadedData[40] + "|" + loadedData[41] + "|" + loadedData[42] + "|" + loadedData[43] + "|" + loadedData[44];
				preferences.stationDataPref10.value = loadedData[45] + "|" + loadedData[46] + "|" + loadedData[47] + "|" + loadedData[48] + "|" + loadedData[49];
				preferences.stationDataPref11.value = loadedData[50] + "|" + loadedData[51] + "|" + loadedData[52] + "|" + loadedData[53] + "|" + loadedData[54];
				preferences.stationDataPref12.value = loadedData[55] + "|" + loadedData[56] + "|" + loadedData[57] + "|" + loadedData[58] + "|" + loadedData[59];
				preferences.stationDataPref13.value = loadedData[60] + "|" + loadedData[61] + "|" + loadedData[62] + "|" + loadedData[63] + "|" + loadedData[64];
				preferences.stationDataPref14.value = loadedData[65] + "|" + loadedData[66] + "|" + loadedData[67] + "|" + loadedData[68] + "|" + loadedData[69];
				preferences.stationDataPref15.value = loadedData[70] + "|" + loadedData[71] + "|" + loadedData[72] + "|" + loadedData[73] + "|" + loadedData[74];
				preferences.stationDataPref16.value = loadedData[75] + "|" + loadedData[76] + "|" + loadedData[77] + "|" + loadedData[78] + "|" + loadedData[79];
				preferences.stationDataPref17.value = loadedData[80] + "|" + loadedData[81] + "|" + loadedData[82] + "|" + loadedData[83] + "|" + loadedData[84];
				preferences.stationDataPref18.value = loadedData[85] + "|" + loadedData[86] + "|" + loadedData[87] + "|" + loadedData[88] + "|" + loadedData[89];
				preferences.stationDataPref19.value = loadedData[90] + "|" + loadedData[91] + "|" + loadedData[92] + "|" + loadedData[93] + "|" + loadedData[94];
				preferences.stationDataPref20.value = loadedData[95] + "|" + loadedData[96] + "|" + loadedData[97] + "|" + loadedData[98] + "|" + loadedData[99];
			}
			
			if (slotformResults == "2") {
				preferences.stationDataPref21.value = loadedData[0] + "|" + loadedData[1] + "|" + loadedData[2] + "|" + loadedData[3] + "|" + loadedData[4];
				preferences.stationDataPref22.value = loadedData[5] + "|" + loadedData[6] + "|" + loadedData[7] + "|" + loadedData[8] + "|" + loadedData[9];
				preferences.stationDataPref23.value = loadedData[10] + "|" + loadedData[11] + "|" + loadedData[12] + "|" + loadedData[13] + "|" + loadedData[14];
				preferences.stationDataPref24.value = loadedData[15] + "|" + loadedData[16] + "|" + loadedData[17] + "|" + loadedData[18] + "|" + loadedData[19];
				preferences.stationDataPref25.value = loadedData[20] + "|" + loadedData[21] + "|" + loadedData[22] + "|" + loadedData[23] + "|" + loadedData[24];
				preferences.stationDataPref26.value = loadedData[25] + "|" + loadedData[26] + "|" + loadedData[27] + "|" + loadedData[28] + "|" + loadedData[29];
				preferences.stationDataPref27.value = loadedData[30] + "|" + loadedData[31] + "|" + loadedData[32] + "|" + loadedData[33] + "|" + loadedData[34];
				preferences.stationDataPref28.value = loadedData[35] + "|" + loadedData[36] + "|" + loadedData[37] + "|" + loadedData[38] + "|" + loadedData[39];
				preferences.stationDataPref29.value = loadedData[40] + "|" + loadedData[41] + "|" + loadedData[42] + "|" + loadedData[43] + "|" + loadedData[44];
				preferences.stationDataPref30.value = loadedData[45] + "|" + loadedData[46] + "|" + loadedData[47] + "|" + loadedData[48] + "|" + loadedData[49];
				preferences.stationDataPref31.value = loadedData[50] + "|" + loadedData[51] + "|" + loadedData[52] + "|" + loadedData[53] + "|" + loadedData[54];
				preferences.stationDataPref32.value = loadedData[55] + "|" + loadedData[56] + "|" + loadedData[57] + "|" + loadedData[58] + "|" + loadedData[59];
				preferences.stationDataPref33.value = loadedData[60] + "|" + loadedData[61] + "|" + loadedData[62] + "|" + loadedData[63] + "|" + loadedData[64];
				preferences.stationDataPref34.value = loadedData[65] + "|" + loadedData[66] + "|" + loadedData[67] + "|" + loadedData[68] + "|" + loadedData[69];
				preferences.stationDataPref35.value = loadedData[70] + "|" + loadedData[71] + "|" + loadedData[72] + "|" + loadedData[73] + "|" + loadedData[74];
				preferences.stationDataPref36.value = loadedData[75] + "|" + loadedData[76] + "|" + loadedData[77] + "|" + loadedData[78] + "|" + loadedData[79];
				preferences.stationDataPref37.value = loadedData[80] + "|" + loadedData[81] + "|" + loadedData[82] + "|" + loadedData[83] + "|" + loadedData[84];
				preferences.stationDataPref38.value = loadedData[85] + "|" + loadedData[86] + "|" + loadedData[87] + "|" + loadedData[88] + "|" + loadedData[89];
				preferences.stationDataPref39.value = loadedData[90] + "|" + loadedData[91] + "|" + loadedData[92] + "|" + loadedData[93] + "|" + loadedData[94];
				preferences.stationDataPref40.value = loadedData[95] + "|" + loadedData[96] + "|" + loadedData[97] + "|" + loadedData[98] + "|" + loadedData[99];			
			}
			
			if (slotformResults == "3") {
				preferences.stationDataPref41.value = loadedData[0] + "|" + loadedData[1] + "|" + loadedData[2] + "|" + loadedData[3] + "|" + loadedData[4];
				preferences.stationDataPref42.value = loadedData[5] + "|" + loadedData[6] + "|" + loadedData[7] + "|" + loadedData[8] + "|" + loadedData[9];
				preferences.stationDataPref43.value = loadedData[10] + "|" + loadedData[11] + "|" + loadedData[12] + "|" + loadedData[13] + "|" + loadedData[14];
				preferences.stationDataPref44.value = loadedData[15] + "|" + loadedData[16] + "|" + loadedData[17] + "|" + loadedData[18] + "|" + loadedData[19];
				preferences.stationDataPref45.value = loadedData[20] + "|" + loadedData[21] + "|" + loadedData[22] + "|" + loadedData[23] + "|" + loadedData[24];
				preferences.stationDataPref46.value = loadedData[25] + "|" + loadedData[26] + "|" + loadedData[27] + "|" + loadedData[28] + "|" + loadedData[29];
				preferences.stationDataPref47.value = loadedData[30] + "|" + loadedData[31] + "|" + loadedData[32] + "|" + loadedData[33] + "|" + loadedData[34];
				preferences.stationDataPref48.value = loadedData[35] + "|" + loadedData[36] + "|" + loadedData[37] + "|" + loadedData[38] + "|" + loadedData[39];
				preferences.stationDataPref49.value = loadedData[40] + "|" + loadedData[41] + "|" + loadedData[42] + "|" + loadedData[43] + "|" + loadedData[44];
				preferences.stationDataPref50.value = loadedData[45] + "|" + loadedData[46] + "|" + loadedData[47] + "|" + loadedData[48] + "|" + loadedData[49];
				preferences.stationDataPref51.value = loadedData[50] + "|" + loadedData[51] + "|" + loadedData[52] + "|" + loadedData[53] + "|" + loadedData[54];
				preferences.stationDataPref52.value = loadedData[55] + "|" + loadedData[56] + "|" + loadedData[57] + "|" + loadedData[58] + "|" + loadedData[59];
				preferences.stationDataPref53.value = loadedData[60] + "|" + loadedData[61] + "|" + loadedData[62] + "|" + loadedData[63] + "|" + loadedData[64];
				preferences.stationDataPref54.value = loadedData[65] + "|" + loadedData[66] + "|" + loadedData[67] + "|" + loadedData[68] + "|" + loadedData[69];
				preferences.stationDataPref55.value = loadedData[70] + "|" + loadedData[71] + "|" + loadedData[72] + "|" + loadedData[73] + "|" + loadedData[74];
				preferences.stationDataPref56.value = loadedData[75] + "|" + loadedData[76] + "|" + loadedData[77] + "|" + loadedData[78] + "|" + loadedData[79];
				preferences.stationDataPref57.value = loadedData[80] + "|" + loadedData[81] + "|" + loadedData[82] + "|" + loadedData[83] + "|" + loadedData[84];
				preferences.stationDataPref58.value = loadedData[85] + "|" + loadedData[86] + "|" + loadedData[87] + "|" + loadedData[88] + "|" + loadedData[89];
				preferences.stationDataPref59.value = loadedData[90] + "|" + loadedData[91] + "|" + loadedData[92] + "|" + loadedData[93] + "|" + loadedData[94];
				preferences.stationDataPref60.value = loadedData[95] + "|" + loadedData[96] + "|" + loadedData[97] + "|" + loadedData[98] + "|" + loadedData[99];
			}
			
			if (slotformResults == "4") {
				preferences.stationDataPref61.value = loadedData[0] + "|" + loadedData[1] + "|" + loadedData[2] + "|" + loadedData[3] + "|" + loadedData[4];
				preferences.stationDataPref62.value = loadedData[5] + "|" + loadedData[6] + "|" + loadedData[7] + "|" + loadedData[8] + "|" + loadedData[9];
				preferences.stationDataPref63.value = loadedData[10] + "|" + loadedData[11] + "|" + loadedData[12] + "|" + loadedData[13] + "|" + loadedData[14];
				preferences.stationDataPref64.value = loadedData[15] + "|" + loadedData[16] + "|" + loadedData[17] + "|" + loadedData[18] + "|" + loadedData[19];
				preferences.stationDataPref65.value = loadedData[20] + "|" + loadedData[21] + "|" + loadedData[22] + "|" + loadedData[23] + "|" + loadedData[24];
				preferences.stationDataPref66.value = loadedData[25] + "|" + loadedData[26] + "|" + loadedData[27] + "|" + loadedData[28] + "|" + loadedData[29];
				preferences.stationDataPref67.value = loadedData[30] + "|" + loadedData[31] + "|" + loadedData[32] + "|" + loadedData[33] + "|" + loadedData[34];
				preferences.stationDataPref68.value = loadedData[35] + "|" + loadedData[36] + "|" + loadedData[37] + "|" + loadedData[38] + "|" + loadedData[39];
				preferences.stationDataPref69.value = loadedData[40] + "|" + loadedData[41] + "|" + loadedData[42] + "|" + loadedData[43] + "|" + loadedData[44];
				preferences.stationDataPref70.value = loadedData[45] + "|" + loadedData[46] + "|" + loadedData[47] + "|" + loadedData[48] + "|" + loadedData[49];
				preferences.stationDataPref71.value = loadedData[50] + "|" + loadedData[51] + "|" + loadedData[52] + "|" + loadedData[53] + "|" + loadedData[54];
				preferences.stationDataPref72.value = loadedData[55] + "|" + loadedData[56] + "|" + loadedData[57] + "|" + loadedData[58] + "|" + loadedData[59];
				preferences.stationDataPref73.value = loadedData[60] + "|" + loadedData[61] + "|" + loadedData[62] + "|" + loadedData[63] + "|" + loadedData[64];
				preferences.stationDataPref74.value = loadedData[65] + "|" + loadedData[66] + "|" + loadedData[67] + "|" + loadedData[68] + "|" + loadedData[69];
				preferences.stationDataPref75.value = loadedData[70] + "|" + loadedData[71] + "|" + loadedData[72] + "|" + loadedData[73] + "|" + loadedData[74];
				preferences.stationDataPref76.value = loadedData[75] + "|" + loadedData[76] + "|" + loadedData[77] + "|" + loadedData[78] + "|" + loadedData[79];
				preferences.stationDataPref77.value = loadedData[80] + "|" + loadedData[81] + "|" + loadedData[82] + "|" + loadedData[83] + "|" + loadedData[84];
				preferences.stationDataPref78.value = loadedData[85] + "|" + loadedData[86] + "|" + loadedData[87] + "|" + loadedData[88] + "|" + loadedData[89];
				preferences.stationDataPref79.value = loadedData[90] + "|" + loadedData[91] + "|" + loadedData[92] + "|" + loadedData[93] + "|" + loadedData[94];
				preferences.stationDataPref80.value = loadedData[95] + "|" + loadedData[96] + "|" + loadedData[97] + "|" + loadedData[98] + "|" + loadedData[99];
			}
			
			if (slotformResults == "5") {
				preferences.stationDataPref81.value = loadedData[0] + "|" + loadedData[1] + "|" + loadedData[2] + "|" + loadedData[3] + "|" + loadedData[4];
				preferences.stationDataPref82.value = loadedData[5] + "|" + loadedData[6] + "|" + loadedData[7] + "|" + loadedData[8] + "|" + loadedData[9];
				preferences.stationDataPref83.value = loadedData[10] + "|" + loadedData[11] + "|" + loadedData[12] + "|" + loadedData[13] + "|" + loadedData[14];
				preferences.stationDataPref84.value = loadedData[15] + "|" + loadedData[16] + "|" + loadedData[17] + "|" + loadedData[18] + "|" + loadedData[19];
				preferences.stationDataPref85.value = loadedData[20] + "|" + loadedData[21] + "|" + loadedData[22] + "|" + loadedData[23] + "|" + loadedData[24];
				preferences.stationDataPref86.value = loadedData[25] + "|" + loadedData[26] + "|" + loadedData[27] + "|" + loadedData[28] + "|" + loadedData[29];
				preferences.stationDataPref87.value = loadedData[30] + "|" + loadedData[31] + "|" + loadedData[32] + "|" + loadedData[33] + "|" + loadedData[34];
				preferences.stationDataPref88.value = loadedData[35] + "|" + loadedData[36] + "|" + loadedData[37] + "|" + loadedData[38] + "|" + loadedData[39];
				preferences.stationDataPref89.value = loadedData[40] + "|" + loadedData[41] + "|" + loadedData[42] + "|" + loadedData[43] + "|" + loadedData[44];
				preferences.stationDataPref90.value = loadedData[45] + "|" + loadedData[46] + "|" + loadedData[47] + "|" + loadedData[48] + "|" + loadedData[49];
				preferences.stationDataPref91.value = loadedData[50] + "|" + loadedData[51] + "|" + loadedData[52] + "|" + loadedData[53] + "|" + loadedData[54];
				preferences.stationDataPref92.value = loadedData[55] + "|" + loadedData[56] + "|" + loadedData[57] + "|" + loadedData[58] + "|" + loadedData[59];
				preferences.stationDataPref93.value = loadedData[60] + "|" + loadedData[61] + "|" + loadedData[62] + "|" + loadedData[63] + "|" + loadedData[64];
				preferences.stationDataPref94.value = loadedData[65] + "|" + loadedData[66] + "|" + loadedData[67] + "|" + loadedData[68] + "|" + loadedData[69];
				preferences.stationDataPref95.value = loadedData[70] + "|" + loadedData[71] + "|" + loadedData[72] + "|" + loadedData[73] + "|" + loadedData[74];
				preferences.stationDataPref96.value = loadedData[75] + "|" + loadedData[76] + "|" + loadedData[77] + "|" + loadedData[78] + "|" + loadedData[79];
				preferences.stationDataPref97.value = loadedData[80] + "|" + loadedData[81] + "|" + loadedData[82] + "|" + loadedData[83] + "|" + loadedData[84];
				preferences.stationDataPref98.value = loadedData[85] + "|" + loadedData[86] + "|" + loadedData[87] + "|" + loadedData[88] + "|" + loadedData[89];
				preferences.stationDataPref99.value = loadedData[90] + "|" + loadedData[91] + "|" + loadedData[92] + "|" + loadedData[93] + "|" + loadedData[94];
				preferences.stationDataPref100.value = loadedData[95] + "|" + loadedData[96] + "|" + loadedData[97] + "|" + loadedData[98] + "|" + loadedData[99];
			}
			
			savePreferences();
			switchStations();
				
			loadedData = null;
			slotArray = null;
			
			alert("Radiostation preferences loaded from: " + source);
			}
			else
			{
		}
	}
savePreferences();